(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    103499,       2638]
NotebookOptionsPosition[     98399,       2556]
NotebookOutlinePosition[     98828,       2573]
CellTagsIndexPosition[     98785,       2570]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ClearAll", "[", "\"\<`*\>\"", "]"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A0", " ", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]y"}]}], ",", 
       RowBox[{"\[Sigma]", " ", "\[Phi]"}], ",", " ", "0", ",", "0"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "\[Kappa]"}], ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A1", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "\[Alpha]"], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B0", " ", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "\[Sigma]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Beta]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"D0", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", "0", "}"}], ",", 
       RowBox[{"{", "0", "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"-", "1"}], "}"}], ",", 
       RowBox[{"{", "0", "}"}]}], "}"}]}], ";"}], "*)"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abar", " ", "=", " ", 
   RowBox[{
    RowBox[{"Inverse", "[", "A0", "]"}], ".", "A1"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bbar", " ", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Inverse", "[", "A0", "]"}], ".", "B0"}], " ", "//", 
     "Simplify"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Solutions", "=", 
    RowBox[{
     RowBox[{"Solve", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
         "}"}], "\[Equal]", 
        RowBox[{
         RowBox[{"Inverse", "[", 
          RowBox[{
           RowBox[{"IdentityMatrix", "[", "4", "]"}], "-", 
           RowBox[{"Bbar", ".", 
            RowBox[{"{", 
             RowBox[{
              RowBox[{"{", 
               RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], 
              ",", 
              RowBox[{"{", 
               RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
             "}"}]}]}], "]"}], ".", "Abar"}]}], ",", 
       RowBox[{"{", 
        RowBox[{
        "b11", ",", "b12", ",", "b13", ",", "b14", ",", "b21", ",", "b22", 
         ",", "b23", ",", "b24", ",", "b31", ",", "b32", ",", "b33", ",", 
         "b34", ",", "b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
      "]"}], "//", "Simplify"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Bpost", "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], "}"}], 
      "/.", 
      RowBox[{"Solutions", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", 
     RowBox[{
      RowBox[{"\[Alpha]", ">", "0"}], "&&", 
      RowBox[{"\[Beta]", ">", "0"}], "&&", 
      RowBox[{"\[Sigma]", ">", "0"}], "&&", " ", 
      RowBox[{"\[Kappa]", ">", "0"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.8150941993463387`*^9, 3.8150943267791557`*^9}, {
   3.8150950867093334`*^9, 3.815095087154022*^9}, {3.8150952784777827`*^9, 
   3.8150952802497606`*^9}, {3.8150973794128056`*^9, 3.815097379838676*^9}, {
   3.8150977388439846`*^9, 3.815097740409824*^9}, {3.8156949875125427`*^9, 
   3.815695045205718*^9}, {3.8156969655992813`*^9, 3.8156969898677154`*^9}, {
   3.8156990151789856`*^9, 3.815699022456169*^9}, {3.8161131239914136`*^9, 
   3.8161131654598994`*^9}, {3.8166613924049454`*^9, 
   3.8166614433918285`*^9}, {3.8166662051760864`*^9, 
   3.8166662395961294`*^9}, {3.8166773234039907`*^9, 3.8166773530327315`*^9}, 
   3.8166786332869015`*^9, {3.8198738728712244`*^9, 3.819873873039774*^9}, {
   3.8198739034179263`*^9, 3.8198739037111425`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"11915e7c-9506-4e99-8ec3-83dae53a0432"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"MatrixForm", "[", "Bpost", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.816661557921747*^9, 3.8166616032574363`*^9}, {
   3.816661694042486*^9, 3.8166617280063267`*^9}, 3.8166624971440787`*^9, {
   3.816666132009251*^9, 3.816666140954367*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"fd91ec4f-cc4d-4ffb-a2df-393141d49262"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"0", "0", 
      RowBox[{"-", 
       FractionBox["1", "\[Alpha]"]}], "1"},
     {"0", "0", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
           "2"]}]]}], 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}]], 
      RowBox[{"-", 
       FractionBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
            "2"]}]]}], 
        RowBox[{"2", " ", "\[Sigma]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}]]}]},
     {"0", "0", "0", "0"},
     {"0", "0", 
      RowBox[{"-", 
       FractionBox[
        RowBox[{"1", "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "-", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
            "2"]}]]}], 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Beta]"}]]}], 
      FractionBox[
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
           "2"]}]]}], 
       RowBox[{"2", " ", "\[Beta]"}]]}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.819540688491632*^9, 3.819540694427204*^9}, 
   3.8195408596634703`*^9, 3.8198702801796155`*^9, 3.819872438351166*^9, {
   3.8198738924481583`*^9, 3.819873910702487*^9}, {3.819876821869315*^9, 
   3.8198768304969206`*^9}, 3.8199408373384542`*^9},
 CellLabel->
  "Out[9]//MatrixForm=",ExpressionUUID->"29f8c451-3f43-472d-9538-\
5a84e2a6a954"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"psi", "=", 
   RowBox[{"-", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"2", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}]], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
          "2"]}]]}], ")"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"psiy", "=", 
   FractionBox[
    RowBox[{"1", "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{
        RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
        "2"]}]]}], 
    RowBox[{"2", " ", "\[Beta]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"FullSimplify", "[", 
  RowBox[{"psi", "-", 
   RowBox[{"\[Kappa]", "/", 
    RowBox[{"(", 
     RowBox[{"1", "-", 
      RowBox[{"\[Beta]", " ", "psiy"}]}], ")"}]}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"FullSimplify", "[", 
  RowBox[{"psiy", "-", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Sigma]", " ", "\[Phi]y"}], "+", 
      RowBox[{"\[Sigma]", " ", "\[Phi]", " ", "psi"}]}], ")"}], "/", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Sigma]", "  ", "psi"}]}], ")"}]}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.816663074688876*^9, 3.81666313818932*^9}, {
  3.8166633600907707`*^9, 3.8166633783080883`*^9}, {3.8166634171651144`*^9, 
  3.8166634214631367`*^9}, {3.8166634795835514`*^9, 3.816663481445597*^9}, {
  3.8166662571158433`*^9, 3.816666270701539*^9}, {3.8166690846881704`*^9, 
  3.8166690901794777`*^9}, {3.816669309931072*^9, 3.8166693654813566`*^9}, {
  3.8166697815939245`*^9, 3.8166698233812504`*^9}, {3.8166699729144306`*^9, 
  3.8166699818700533`*^9}, {3.816677423872237*^9, 3.8166774341452627`*^9}, {
  3.8166781318082676`*^9, 3.816678154474872*^9}, {3.816678771675736*^9, 
  3.8166787744812436`*^9}, {3.8166788155411344`*^9, 3.8166788339221373`*^9}, {
  3.8166911758592033`*^9, 3.8166911934070735`*^9}, {3.8166912341059732`*^9, 
  3.8166912703731213`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"6c1e0aa7-c4c2-4da7-a618-75619249ae79"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.8166698108690777`*^9, 3.8166698238898954`*^9}, {
   3.8166699735746717`*^9, 3.8166699827147985`*^9}, {3.8166781455980186`*^9, 
   3.816678154887771*^9}, 3.8166788162991104`*^9, 3.8166798962763767`*^9, 
   3.8166804727825193`*^9, 3.816691194177643*^9, 3.816691270911683*^9, 
   3.8195163610269346`*^9, 3.8195284651826115`*^9, 3.819529372917657*^9, 
   3.819540861805704*^9, 3.81987244834957*^9, 3.819873948911101*^9, 
   3.8198768496767774`*^9, 3.819940843017333*^9},
 CellLabel->"Out[12]=",ExpressionUUID->"b1eada6d-611a-4287-bf55-a5d41948876e"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.8166698108690777`*^9, 3.8166698238898954`*^9}, {
   3.8166699735746717`*^9, 3.8166699827147985`*^9}, {3.8166781455980186`*^9, 
   3.816678154887771*^9}, 3.8166788162991104`*^9, 3.8166798962763767`*^9, 
   3.8166804727825193`*^9, 3.816691194177643*^9, 3.816691270911683*^9, 
   3.8195163610269346`*^9, 3.8195284651826115`*^9, 3.819529372917657*^9, 
   3.819540861805704*^9, 3.81987244834957*^9, 3.819873948911101*^9, 
   3.8198768496767774`*^9, 3.8199408430303307`*^9},
 CellLabel->"Out[13]=",ExpressionUUID->"1f31a8d5-a332-44ab-9c21-9e98bc0a1c59"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"Notice", " ", "that", " ", "psi"}], "\[GreaterEqual]", 
      RowBox[{
      "0.", "  ", "This", " ", "matters", " ", "below", " ", "when", " ", 
       "we", " ", "reduce", " ", "the", " ", "solution", " ", "recursion", 
       " ", "to", " ", "recursion", " ", "for", " ", 
       RowBox[{"psi", ".", " ", "To"}], " ", "see", " ", 
       RowBox[{"this", ":", "\[IndentingNewLine]", "psi"}]}]}], "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{
         RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
         SqrtBox[
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
            "2"]}]]}], 
        RowBox[{"2", " ", "\[Sigma]", " ", 
         RowBox[{"(", 
          RowBox[{"1", "-", 
           RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}]], ".", " ", "The"}], 
      " ", "denom", " ", "is", " ", "positive", " ", "under", " ", "our", " ",
       "assumptions", " ", "about", " ", 
      RowBox[{"\[Phi]", ".", " ", "Therefore"}]}]}], ",", " ", 
    RowBox[{
     RowBox[{"psi", ">", 
      RowBox[{
       RowBox[{"0", " ", "iff"}], " ", "-", "1", "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
          "2"]}]]}], ">", 
      RowBox[{
       RowBox[{
       "0.", "\[IndentingNewLine]", "\[IndentingNewLine]", 
        "\[IndentingNewLine]", "Note", " ", "that"}], " ", "-", "1", "+", 
       "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{"1", "-", 
            RowBox[{"\[Beta]", " ", "\[Phi]"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
          "2"]}]]}], ">", "\[IndentingNewLine]", "            ", 
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}], "+", 
       SqrtBox[
        SuperscriptBox[
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]y"}]}], ")"}], 
         "2"]]}]}], "=", 
     RowBox[{
      RowBox[{"a", "+", 
       RowBox[{
        RowBox[{
         SqrtBox[
          SuperscriptBox["a", "2"]], ".", " ", "If"}], " ", "a"}]}], ">", 
      "0"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"then", " ", "a"}], "+", 
      SqrtBox[
       SuperscriptBox["a", "2"]]}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"2", "a"}], ">", 
       RowBox[{"0.", " ", "If", " ", "\[IndentingNewLine]", "a"}], "<", 
       RowBox[{
        RowBox[{"0", " ", "then", " ", "a"}], "+", 
        SqrtBox[
         SuperscriptBox["a", "2"]]}]}], "=", 
      RowBox[{
       RowBox[{"a", "-", "a"}], "=", 
       RowBox[{"0.", " ", "Either", " ", "way"}]}]}]}], ",", " ", 
    RowBox[{"psi", ">", "0."}]}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.819510895373885*^9, 3.8195109255683*^9}, {
   3.819870590504619*^9, 3.8198707530662975`*^9}, {3.819870813604536*^9, 
   3.81987082464176*^9}, 3.8198709249864635`*^9, {3.8198709741614633`*^9, 
   3.8198709780386796`*^9}, 
   3.819872480448369*^9},ExpressionUUID->"a3b6f35e-d920-424b-9320-\
ea6888ff8230"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ClearAll", "[", "\"\<`*\>\"", "]"}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Compute", " ", "b", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"T", "^"}], "*", 
      RowBox[{"-", "1"}]}], ")"}]}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bpost", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"-", 
         FractionBox["1", "\[Alpha]"]}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        FractionBox[
         RowBox[{
          RowBox[{"-", "\[Kappa]"}], " ", "psi"}], 
         RowBox[{" ", "\[Alpha]", " "}]], ",", "psi"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", 
        RowBox[{"-", 
         FractionBox["psiy", 
          RowBox[{"\[Alpha]", " "}]]}], ",", "psiy"}], "}"}]}], "}"}]}], 
   ";"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A0z", " ", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ",", 
       RowBox[{"\[Sigma]", " ", "\[Phi]a"}], ",", " ", "0", ",", "0"}], "}"}],
      ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "\[Kappa]"}], ",", "1", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"A1z", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", 
       FractionBox["1", "\[Alpha]"], ",", 
       RowBox[{"-", "1"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"B0z", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "\[Sigma]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Beta]", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Abarz", " ", "=", " ", 
   RowBox[{
    RowBox[{"Inverse", "[", "A0z", "]"}], ".", "A1z"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Bbarz", "=", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"Inverse", "[", "A0z", "]"}], ".", "B0z"}], " ", "//", 
     "Simplify"}]}], ";"}], "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BTmin1", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     RowBox[{"Inverse", "[", 
      RowBox[{
       RowBox[{"IdentityMatrix", "[", "4", "]"}], "-", 
       RowBox[{"Bbarz", ".", "Bpost"}]}], "]"}], ".", "Abarz"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.816663530608317*^9, 3.816663555178439*^9}, {
   3.8166635987660007`*^9, 3.816663633899051*^9}, {3.816663979463035*^9, 
   3.816663983146202*^9}, {3.8166640548002863`*^9, 3.816664069569855*^9}, {
   3.8166641586727967`*^9, 3.816664225697734*^9}, {3.8166644982489834`*^9, 
   3.8166645005219035`*^9}, {3.8166661653416405`*^9, 3.816666171433367*^9}, {
   3.8166662825415974`*^9, 3.816666291882637*^9}, {3.816670494850464*^9, 
   3.8166704963295126`*^9}, {3.816678167307177*^9, 3.8166781869687667`*^9}, {
   3.81667835443964*^9, 3.816678424967204*^9}, {3.816678473225955*^9, 
   3.816678480814522*^9}, {3.8166820032545567`*^9, 3.8166820039866133`*^9}, {
   3.816689668998094*^9, 3.8166896893662453`*^9}, {3.8195078464963336`*^9, 
   3.8195078707135816`*^9}, 3.819508489491892*^9, {3.8198727784252434`*^9, 
   3.8198727818960238`*^9}, {3.819876992454035*^9, 3.819876993319721*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"d96e7f2b-86a7-4041-b347-476291790e8b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Alpha]"]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{"\[Kappa]", "+", 
       RowBox[{"psi", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"psi", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{"\[Kappa]", "+", 
       RowBox[{"psi", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi", " ", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
         ")"}]}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
       RowBox[{"\[Alpha]", "+", 
        RowBox[{"psi", " ", "\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "-", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
          ")"}]}]}]]}], ",", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi", " ", "\[Sigma]"}], "-", 
       RowBox[{"psi", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8166900244907618`*^9, 3.819507881990429*^9, 3.8195084917708406`*^9, 
   3.819509389681036*^9, 3.8195163656520796`*^9, 3.81952846917793*^9, 
   3.81952937668062*^9, {3.8195408653003964`*^9, 3.8195408678436036`*^9}, 
   3.819871245229347*^9, 3.819872493908346*^9, 3.8198727662137227`*^9, 
   3.8198769942422748`*^9, 3.819940853957654*^9},
 CellLabel->"Out[21]=",ExpressionUUID->"1c0fa99b-9fe0-4833-acf0-27c1360bbe9e"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"psi1", "=", 
     FractionBox[
      RowBox[{"\[Kappa]", "+", 
       RowBox[{"psi", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi", " ", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
         ")"}]}]}]]}], ";", "\[IndentingNewLine]", 
    RowBox[{"psiy1", "=", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi", " ", "\[Sigma]"}], "-", 
       RowBox[{"psi", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]]}], 
    ";"}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.8166897169305496`*^9, 3.816689781375226*^9}, 
   3.8166898736740346`*^9, {3.816690009227664*^9, 3.8166900227444334`*^9}, {
   3.819509402088957*^9, 3.8195094078146935`*^9}, 3.8195096230507174`*^9, {
   3.8195160708636684`*^9, 3.8195160710820827`*^9}, {3.8198712476639423`*^9, 
   3.8198712589530706`*^9}, {3.819871334204115*^9, 3.8198713370206623`*^9}, {
   3.8198726102628903`*^9, 3.8198726973786006`*^9}, {3.819872755234993*^9, 
   3.81987276360271*^9}},ExpressionUUID->"0035d9b2-fe4a-4b01-83c3-\
c043a6764c85"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Compute", " ", "b", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"T", "^"}], "*", 
      RowBox[{"-", "2"}]}], ")"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"BTmin1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox["1", "\[Alpha]"]}], ",", "1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox[
          RowBox[{
           RowBox[{"-", "\[Kappa]"}], " ", "psi1"}], 
          RowBox[{" ", "\[Alpha]", " "}]], ",", "psi1"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         RowBox[{"-", 
          FractionBox[
           FractionBox[
            RowBox[{"1", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
             RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
            RowBox[{"1", "+", 
             RowBox[{"psi1", " ", "\[Sigma]"}], "-", 
             RowBox[{
             "psi1", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]], 
           RowBox[{"\[Alpha]", " "}]]}], ",", 
         FractionBox[
          RowBox[{"1", "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
           RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
          RowBox[{"1", "+", 
           RowBox[{"psi1", " ", "\[Sigma]"}], "-", 
           RowBox[{
           "psi1", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]]}], 
        "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Abarz", " ", "=", " ", 
     RowBox[{
      RowBox[{"Inverse", "[", "A0z", "]"}], ".", "A1z"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Bbarz", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Inverse", "[", "A0z", "]"}], ".", "B0z"}], " ", "//", 
      "Simplify"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"BTmin2", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      RowBox[{"Inverse", "[", 
       RowBox[{
        RowBox[{"IdentityMatrix", "[", "4", "]"}], "-", 
        RowBox[{"Bbarz", ".", "BTmin1"}]}], "]"}], ".", "Abarz"}], 
     "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.819872810664337*^9, 3.8198728687092514`*^9}, {
  3.819872937801401*^9, 3.8198729652587366`*^9}},
 CellLabel->"In[22]:=",ExpressionUUID->"13b644a3-a94f-4f81-acd9-5aab1ff421a1"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Alpha]"]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{"\[Kappa]", "+", 
       RowBox[{"psi1", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
      RowBox[{"\[Alpha]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"psi1", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}], ")"}]}]], ",", 
     FractionBox[
      RowBox[{"\[Kappa]", "+", 
       RowBox[{"psi1", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi1", " ", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
         ")"}]}]}]]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
       RowBox[{"\[Alpha]", "+", 
        RowBox[{"psi1", " ", "\[Alpha]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "-", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
          ")"}]}]}]]}], ",", 
     FractionBox[
      RowBox[{"1", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"psi1", " ", "\[Sigma]"}], "-", 
       RowBox[{"psi1", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]]}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.819876984074303*^9, 3.8198770113916655`*^9}, 
   3.8199408635291142`*^9},
 CellLabel->"Out[25]=",ExpressionUUID->"5e6ad46c-acf5-48e1-abee-e5e045c38a9b"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"psi2", "=", 
    FractionBox[
     RowBox[{"\[Kappa]", "+", 
      RowBox[{"psi1", " ", 
       RowBox[{"(", 
        RowBox[{"\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
     RowBox[{"1", "+", 
      RowBox[{"psi1", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]}]]}],
    ";", "\[IndentingNewLine]", 
   RowBox[{"psiy2", "=", 
    FractionBox[
     RowBox[{"1", "+", 
      RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
      RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
     RowBox[{"1", "+", 
      RowBox[{"psi1", " ", "\[Sigma]"}], "-", 
      RowBox[{"psi1", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]]}], 
   ";"}], "*)"}]], "Input",
 CellChangeTimes->{{3.8198729522005415`*^9, 
  3.8198730043939395`*^9}},ExpressionUUID->"8ce3dc85-3744-4457-ad0b-\
a617bf6d06cf"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"As", " ", "we", " ", "iterate", " ", "on", " ", "j"}], "=", 
     RowBox[{
      RowBox[{
       SuperscriptBox["T", "*"], "-", "t"}], "=", "1"}]}], ",", "2", ",", 
    RowBox[{
     RowBox[{"...", " ", "we", " ", 
      RowBox[{"have", ":", " ", "\[IndentingNewLine]", 
       RowBox[{
        TagBox[
         RowBox[{"(", "\[NoBreak]", GridBox[{
            {"0", "0", 
             RowBox[{"-", 
              FractionBox["1", "\[Alpha]"]}], "1"},
            {"0", "0", 
             FractionBox[
              RowBox[{"-", 
               SubscriptBox["\[Psi]", "j"]}], 
              RowBox[{"\[Alpha]", " "}]], 
             SubscriptBox["\[Psi]", "j"]},
            {"0", "0", "0", "0"},
            {"0", "0", 
             RowBox[{"-", 
              FractionBox[
               RowBox[{"Ga", 
                RowBox[{"(", 
                 SubscriptBox["\[Psi]", 
                  RowBox[{"j", "-", "1"}]], ")"}]}], "\[Alpha]"]}], 
             RowBox[{"Ga", 
              RowBox[{"(", 
               SubscriptBox["\[Psi]", 
                RowBox[{"j", "-", "1"}]], ")"}]}]}
           },
           GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
           GridBoxSpacings->{"Columns" -> {
               Offset[0.27999999999999997`], {
                Offset[0.7]}, 
               Offset[0.27999999999999997`]}, "Rows" -> {
               Offset[0.2], {
                Offset[0.4]}, 
               Offset[0.2]}}], "\[NoBreak]", ")"}],
         Function[BoxForm`e$, 
          MatrixForm[BoxForm`e$]]], "\[IndentingNewLine]", 
        SubscriptBox["\[Psi]", "j"]}]}]}], "=", 
     RowBox[{
      FractionBox[
       RowBox[{"\[Kappa]", "+", 
        RowBox[{
         SubscriptBox["\[Psi]", 
          RowBox[{"j", "-", "1"}]], " ", 
         RowBox[{"(", 
          RowBox[{"\[Beta]", "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
       RowBox[{"1", "+", 
        RowBox[{
         SubscriptBox["\[Psi]", 
          RowBox[{"j", "-", "1"}]], " ", 
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "-", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]}]],
       "=", 
      RowBox[{
       RowBox[{"f", 
        RowBox[{
         RowBox[{"(", 
          SubscriptBox["\[Psi]", 
           RowBox[{"j", "-", "1"}]], ")"}], ".", "  ", 
         SubscriptBox["\[Psi]", "j"]}]}], "->", 
       RowBox[{
        RowBox[{"\[Psi]_A", " ", "as", " ", 
         RowBox[{"j", "--"}]}], ">", " ", 
        RowBox[{
         RowBox[{"\[Infinity]", " ", "iff", " ", "b", 
          RowBox[{"(", "j", ")"}], " ", 
          RowBox[{"converges", ".", " ", "If"}], " ", "b", 
          RowBox[{"(", "j", ")"}], " ", "converges", " ", "we", " ", "may", 
          " ", "assess", " ", "IE"}], "-", 
         RowBox[{"stability", "."}]}]}]}]}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.8195095070976424`*^9, 3.819509582866382*^9}, 
   3.819509627801064*^9, {3.819509682720215*^9, 3.819509845003811*^9}, {
   3.819509898105257*^9, 3.8195099423802543`*^9}, {3.8195100092419424`*^9, 
   3.8195100151990213`*^9}, {3.819511049755603*^9, 3.819511091436152*^9}, {
   3.8198730196428475`*^9, 3.819873130874135*^9}, {3.8198731802066746`*^9, 
   3.819873244850322*^9}, {3.8198735908711805`*^9, 3.8198735917583184`*^9}, {
   3.8198770410685315`*^9, 
   3.8198770802610617`*^9}},ExpressionUUID->"9cfb073e-3973-4766-99f7-\
73f457c6f7c5"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.816690434620075*^9},ExpressionUUID->"9678579f-8313-4ccf-9e26-\
4c6a44231ed7"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"Solve", " ", "for", " ", "roots", " ", "of", " ", "f", 
      RowBox[{"(", "psi", ")"}]}], "-", "psi"}], "=", "0."}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"\[Kappa]", "+", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{"\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], 
           ")"}]}]}], 
        RowBox[{"1", "+", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
           ")"}]}]}]], "-", "x"}], "\[Equal]", "0"}], ",", "x"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.8166672694981675`*^9, 3.81666727172395*^9}, {
   3.8166674245626087`*^9, 3.816667426201228*^9}, {3.8166866285761194`*^9, 
   3.8166866635325303`*^9}, {3.8166867268684907`*^9, 
   3.8166867301936145`*^9}, {3.816690423636874*^9, 3.816690435681244*^9}, {
   3.816692114397888*^9, 3.816692195399539*^9}, 3.81669229298069*^9, 
   3.8195108076085377`*^9, {3.819516400270474*^9, 3.8195164011508636`*^9}, {
   3.819516524721432*^9, 3.819516525278975*^9}, {3.819873704814743*^9, 
   3.8198737351340094`*^9}},
 CellLabel->"In[26]:=",ExpressionUUID->"e91a86a8-6f70-4747-b450-1dee65695723"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
         "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Beta]", "-", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
         "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{"1", "-", "\[Beta]", "-", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8195408774425473`*^9, {3.8198737127401223`*^9, 3.8198737382183037`*^9}, 
   3.81987709792704*^9, 3.8199408703977556`*^9},
 CellLabel->"Out[27]=",ExpressionUUID->"32d396e6-4738-4984-81d0-720fef8bd609"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"PsiL", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
     SqrtBox[
      RowBox[{
       RowBox[{"4", " ", "\[Kappa]", " ", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
       "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
        "2"]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "-", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PsiA", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
     SqrtBox[
      RowBox[{
       RowBox[{"4", " ", "\[Kappa]", " ", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
       "+", 
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
        "2"]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"\[Sigma]", "-", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.819511718143283*^9, 3.8195117275915494`*^9}, {
  3.819529422293155*^9, 3.8195294330943193`*^9}, {3.8198764880331593`*^9, 
  3.819876491441111*^9}},
 CellLabel->"In[28]:=",ExpressionUUID->"2e077607-4634-4de5-ba73-8833aa1f51d0"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{
    RowBox[{
    "The", " ", "first", " ", "solution", " ", "is", " ", "clear", " ", 
     "negative", " ", "if", " ", "\[Phi]a"}], "<", 
    RowBox[{
    "1", " ", "since", " ", "psiL", " ", "assumes", " ", "the", " ", "form", 
     " ", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
         "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}]}],
    "=", 
   RowBox[{
    FractionBox[
     RowBox[{"a", "-", 
      SqrtBox[
       RowBox[{
        RowBox[{"4", " ", "\[Kappa]", " ", 
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "-", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
        "+", 
        SuperscriptBox["a", "2"]}]]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"\[Sigma]", "-", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]], "<", 
    FractionBox[
     RowBox[{"a", "-", 
      SqrtBox[
       SuperscriptBox["a", "2"]]}], 
     RowBox[{"2", " ", 
      RowBox[{"(", 
       RowBox[{"\[Sigma]", "-", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]], 
    "\[LessEqual]", " ", 
    RowBox[{"0.", " ", "The", " ", "second", " ", "solution", " ", "is", " ", 
     RowBox[{"positive", "."}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.8195109634910836`*^9, 3.819511002043542*^9}, {
  3.8198740344717045`*^9, 3.819874082230076*^9}, {3.8198764837565165`*^9, 
  3.8198764847997484`*^9}, {3.8198771123410983`*^9, 3.819877112541563*^9}, {
  3.8198771613146715`*^9, 
  3.8198771617764387`*^9}},ExpressionUUID->"f0d68e5f-a209-448a-b378-\
2c377340ca35"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Now", " ", "we", " ", "gauge", " ", "the", " ", "slope", " ", "of", " ", 
     "the", " ", 
     SubscriptBox["\[Psi]", "t"]}], "=", 
    RowBox[{"f", 
     RowBox[{"(", 
      SubscriptBox["\[Psi]", 
       RowBox[{"t", "+", "1"}]], ")"}], " ", "and", " ", "the", " ", "second",
      " ", 
     RowBox[{"derivative", "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"D1", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       FractionBox[
        RowBox[{"\[Kappa]", "+", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{"\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], 
           ")"}]}]}], 
        RowBox[{"1", "+", 
         RowBox[{"x", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
           ")"}]}]}]], ",", "x"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"D2", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{"D1", ",", "x"}], "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.816692311755061*^9, 3.8166923120512686`*^9}, 
   3.816692524683755*^9, {3.8195110233213053`*^9, 3.819511033488101*^9}, {
   3.8195111102388754`*^9, 3.8195111158179903`*^9}, {3.819511146057911*^9, 
   3.8195112472772207`*^9}, 3.8195113175964365`*^9, 3.8195121479651995`*^9, {
   3.8195166397077723`*^9, 3.8195166624519515`*^9}, {3.819538912661087*^9, 
   3.819538927178279*^9}, {3.819874202884921*^9, 3.819874206180214*^9}, {
   3.8198745851943293`*^9, 3.8198746127728367`*^9}, {3.819874749167038*^9, 
   3.819874751952147*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"ec2f1ebb-010e-4845-8851-12e9ca61e23b"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
     RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}], 
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"x", " ", "\[Sigma]", " ", 
      RowBox[{"(", 
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}], ")"}], 
   "2"]]], "Output",
 CellChangeTimes->{{3.8166923012007184`*^9, 3.8166923125968113`*^9}, 
   3.816692531632185*^9, {3.8195111630965257`*^9, 3.8195111685918684`*^9}, {
   3.8195112476801434`*^9, 3.819511265163396*^9}, 3.819511675300215*^9, 
   3.8195121495638885`*^9, 3.8195123135088983`*^9, 3.819516550015791*^9, 
   3.819516663747528*^9, 3.8195284860623503`*^9, 3.8195294484096537`*^9, {
   3.819538916420039*^9, 3.8195389212361646`*^9}, 3.8195408848577743`*^9, 
   3.819874223066828*^9, {3.8198745910208335`*^9, 3.8198746134470353`*^9}, 
   3.8198747543188515`*^9, 3.819877184280026*^9, 3.8199408776045523`*^9},
 CellLabel->"Out[30]=",ExpressionUUID->"577a239e-20e6-4df9-8ee0-f4e39086b050"],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", 
      RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
      RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}], 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"x", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}], ")"}], 
    "3"]]}]], "Output",
 CellChangeTimes->{{3.8166923012007184`*^9, 3.8166923125968113`*^9}, 
   3.816692531632185*^9, {3.8195111630965257`*^9, 3.8195111685918684`*^9}, {
   3.8195112476801434`*^9, 3.819511265163396*^9}, 3.819511675300215*^9, 
   3.8195121495638885`*^9, 3.8195123135088983`*^9, 3.819516550015791*^9, 
   3.819516663747528*^9, 3.8195284860623503`*^9, 3.8195294484096537`*^9, {
   3.819538916420039*^9, 3.8195389212361646`*^9}, 3.8195408848577743`*^9, 
   3.819874223066828*^9, {3.8198745910208335`*^9, 3.8198746134470353`*^9}, 
   3.8198747543188515`*^9, 3.819877184280026*^9, 3.8199408776155233`*^9},
 CellLabel->"Out[31]=",ExpressionUUID->"336d7252-ed34-4f45-9956-9477eb64afe9"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"f", "\"\<=-\!\(
\*FractionBox[\(2\\\ \[Beta]\\\ \[Sigma]\\\ \((\(-1\) + \[Beta]\\\ \[Phi]a)\)\
\\\ \((1 + \[Kappa]\\\ \[Sigma]\\\ \[Phi]a + \[Sigma]\\\ \[Phi]ya)\)\), 
SuperscriptBox[\((\(-1\) + x\\\ \[Sigma]\\\ \((\(-1\) + \[Beta]\\\ \
\[Phi]a)\))\), \(3\)]]\)=\!\(
\*FractionBox[\(2\\\ \[Beta]\\\ \[Sigma]\\\ \((1 - \[Beta]\\\ \[Phi]a)\)\\\ \
\((1 + \[Kappa]\\\ \[Sigma]\\\ \[Phi]a + \[Sigma]\\\ \[Phi]ya)\)\), 
SuperscriptBox[\((\(-1\) + x\\\ \[Sigma]\\\ \((\(-1\) + \[Beta]\\\ \
\[Phi]a)\))\), \(3\)]]\)=\!\(
\*FractionBox[\(2\\\ \[Beta]\\\ \[Sigma]\\\ \((1 - \[Beta]\\\ \[Phi]a)\)\\\ \
\((1 + \[Kappa]\\\ \[Sigma]\\\ \[Phi]a + \[Sigma]\\\ \[Phi]ya)\)\), 
SuperscriptBox[\((\(-1\)\((1 + x\\\ \[Sigma]\\\ \((1 - \[Beta]\\\ \[Phi]a)\))\
\))\), \(3\)]]\)<0 iff (1+x \[Sigma] (1-\[Beta] \[Phi]a))>0 iff x>psi_B\>"}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.819877256882083*^9, 3.819877308266062*^9}, {
  3.819877357641518*^9, 
  3.8198773757453413`*^9}},ExpressionUUID->"edb7fa03-eb1c-4cd2-a758-\
aa4fcddebfc5"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Clearly", ",", " ", 
   RowBox[{
    RowBox[{
     RowBox[{"f", "'"}], 
     RowBox[{"(", "psi", ")"}]}], ">", 
    RowBox[{"0", " ", "and", " ", "f", "\"\<(psi)<0 for psi>psi_B\>"}]}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.8198747604445148`*^9, 3.8198747627354383`*^9}, {
  3.8198760672505074`*^9, 3.819876088532875*^9}, {3.8198772200382586`*^9, 
  3.8198772202636557`*^9}},ExpressionUUID->"1e65f8ee-f128-46a8-8f48-\
43fc68265054"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Further", ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{"as", " ", 
       RowBox[{"psi", "--"}]}], ">", 
      RowBox[{"psi_B", " ", "from", " ", "the", " ", "right", " ", "we", " ", 
       RowBox[{"have", ":", " ", 
        RowBox[{"f", 
         RowBox[{"(", "psi_B", ")"}]}]}]}]}], "=", 
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"\[Kappa]", "+", 
         RowBox[{"psi_B", " ", 
          RowBox[{"(", 
           RowBox[{"\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], 
           ")"}]}]}], 
        RowBox[{"1", "+", 
         RowBox[{"psi_B", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], 
           ")"}]}]}]], ".", " ", "The"}], " ", "denominator", " ", "will", 
      " ", "be", " ", "positive", " ", "as", " ", "psi", " ", "approaches", 
      " ", "psiB", " ", "from", " ", 
      RowBox[{"right", ".", " ", "However"}]}]}], ",", " ", 
    RowBox[{"numerator", " ", 
     RowBox[{"is", ":"}]}]}], "\[IndentingNewLine]", "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"Simplify", "[", 
   RowBox[{"\[Kappa]", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", 
       RowBox[{"(", 
        RowBox[{"(", 
         RowBox[{"\[Sigma]", "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}], 
        ")"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{"\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.819876134870522*^9, 3.8198762558635354`*^9}, 
   3.8198774475288563`*^9},
 CellLabel->"In[32]:=",ExpressionUUID->"dbe4ea20-2879-427b-8f94-50457d47cfc1"],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Beta]", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
     RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}], 
  RowBox[{"\[Sigma]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", "1"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]]], "Output",
 CellChangeTimes->{3.8198762566953135`*^9, 3.8198774488483305`*^9, 
  3.819940881643757*^9},
 CellLabel->"Out[32]=",ExpressionUUID->"e5815608-7077-4f06-a233-95b757438c1f"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{
   RowBox[{"which", " ", "is", " ", 
    RowBox[{"negative", ".", " ", "Thus"}]}], ",", " ", 
   RowBox[{
    RowBox[{"f", 
     RowBox[{
      RowBox[{"(", "psi", ")"}], "--"}]}], ">", 
    RowBox[{"-", "\[Infinity]"}], "<", 
    RowBox[{"psi", " ", "as", " ", 
     RowBox[{"psi", "--"}]}], ">", 
    RowBox[{"psi_B", " ", "from", " ", 
     RowBox[{"right", "."}]}]}]}], "*)"}]], "Input",
 CellChangeTimes->{{3.81987626907733*^9, 
  3.819876309073247*^9}},ExpressionUUID->"2e222b90-9bac-42c0-848e-\
f8a556bed5bd"],

Cell[BoxData[
 RowBox[{"(*", 
  RowBox[{"Finally", ",", " ", 
   RowBox[{
    RowBox[{"f", 
     RowBox[{"(", "0", ")"}]}], "=", 
    RowBox[{"\[Kappa]", ">", 
     RowBox[{"0", " ", "and", " ", "f", 
      RowBox[{"(", "psi", ")"}], " ", "is", " ", "finite", " ", "and", " ", 
      "positive", " ", "as", " ", 
      RowBox[{"psi", " ", "--"}]}], ">", " ", "\[Infinity]"}]}]}], 
  "*)"}]], "Input",
 CellChangeTimes->{{3.819876318660222*^9, 
  3.819876355013417*^9}},ExpressionUUID->"54eb0fae-111b-4453-bdbb-\
6c0cc63699ac"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"1.", " ", "From", " ", "way", " ", "above"}], ",", " ", 
    RowBox[{
     SubscriptBox["\[Psi]", "0"], ">", "0"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"2.", " ", "The", " ", "slope", " ", "of", " ", "f", 
      RowBox[{"(", 
       SubscriptBox["\[Psi]", "j"], ")"}], " ", "positive", " ", "and", " ", 
      "declining", " ", "in", " ", 
      SubscriptBox["\[Psi]", "j"], " ", "for", " ", "all", " ", "\[Psi]"}], 
     ">", 
     RowBox[{"0.", " ", "Thus"}]}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"f", "'"}], 
       RowBox[{"(", 
        SubscriptBox["\[Psi]", "A"], ")"}]}], ">", 
      RowBox[{"0", " ", "where", " ", 
       SubscriptBox["\[Psi]", "A"]}], ">", 
      RowBox[{"0", " ", 
       RowBox[{"s", ".", "t", ".", " ", "f"}], 
       RowBox[{"(", 
        SubscriptBox["\[Psi]", "A"], ")"}]}]}], "=", 
     RowBox[{
      SubscriptBox["\[Psi]", "A"], "."}]}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"3.", " ", "Also"}], ",", " ", 
    RowBox[{
     RowBox[{"f", 
      RowBox[{"(", "0", ")"}]}], "=", 
     RowBox[{
      RowBox[{"\[Kappa]", ">", 
       RowBox[{"0", " ", "and", " ", "lim", " ", "f", 
        RowBox[{"(", "\[Psi]", ")"}]}]}], "=", 
      RowBox[{"c", "<", 
       RowBox[{"\[Psi]", " ", "--"}], ">", " ", 
       RowBox[{
        RowBox[{"f", "'"}], 
        RowBox[{"(", 
         SubscriptBox["\[Psi]", "L"], ")"}]}], "<", 
       RowBox[{"1", " ", "--"}], ">", 
       RowBox[{
        SubscriptBox["\[Psi]", "0"], " ", "converges", " ", "to", " ", 
        RowBox[{
         SubscriptBox["\[Psi]", "pos"], ".", "\[IndentingNewLine]", " ", 
         "4."}], " ", "f", 
        RowBox[{"(", "psi_B", ")"}]}], "<", 
       RowBox[{"psi_B", " ", "and", " ", "f", 
        RowBox[{"(", "0", ")"}]}], ">", 
       RowBox[{"0", " ", "implies", " ", 
        RowBox[{"f", "'"}], 
        RowBox[{"(", 
         SubscriptBox["\[Psi]", "L"], ")"}]}], ">", 
       RowBox[{"1", " ", 
        RowBox[{"s", ".", "t", ".", " ", 
         SubscriptBox["\[Psi]", "A"]}], " ", "is", " ", "the", " ", "unique", 
        " ", "limit", " ", 
        RowBox[{"point", "."}]}]}]}]}]}], "*)"}]}]], "Input",
 CellChangeTimes->{{3.816692526298439*^9, 3.8166926607742324`*^9}, {
  3.819514772448042*^9, 3.8195148685765233`*^9}, {3.819514926234683*^9, 
  3.819515049808815*^9}, {3.8195151094857435`*^9, 3.8195152205251765`*^9}, {
  3.8195277825789504`*^9, 3.819527782830279*^9}, {3.8195409507382126`*^9, 
  3.8195410633226347`*^9}, {3.8198761240418687`*^9, 3.819876132772603*^9}, {
  3.8198763719233627`*^9, 
  3.8198764513906093`*^9}},ExpressionUUID->"8406d052-c016-4b5c-9487-\
482fd9847427"],

Cell[BoxData[""], "Input",
 CellChangeTimes->{
  3.8166923097863226`*^9},ExpressionUUID->"452a5df7-0002-49d7-a1b0-\
1b26293bb979"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"PsiA", "=", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
         "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"psiyA", "=", 
     RowBox[{"Simplify", "[", 
      FractionBox[
       RowBox[{"1", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
       RowBox[{"1", "+", 
        RowBox[{"PsiA", " ", "\[Sigma]"}], "-", 
        RowBox[{"PsiA", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]], 
      "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"psicheck", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{
      FractionBox[
       RowBox[{"\[Kappa]", "+", 
        RowBox[{"PsiA", " ", 
         RowBox[{"(", 
          RowBox[{"\[Beta]", "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}]}], 
       RowBox[{"1", "+", 
        RowBox[{"PsiA", " ", 
         RowBox[{"(", 
          RowBox[{"\[Sigma]", "-", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]}]],
       "-", "PsiA"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"psiycheck", "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"psiyA", "-", 
      FractionBox[
       RowBox[{" ", 
        RowBox[{"PsiA", "-", "\[Kappa]"}]}], 
       RowBox[{"\[Beta]", " ", "PsiA"}]]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.8166904441396713`*^9, 3.816690470959613*^9}, 
   3.8166906997329173`*^9, {3.8166907502016087`*^9, 3.816690751002471*^9}, 
   3.816690891465609*^9, {3.819515877966123*^9, 3.819515891741289*^9}, {
   3.8195159513317003`*^9, 3.81951595856859*^9}, {3.819516583277663*^9, 
   3.8195166143377066`*^9}, {3.8195169117700043`*^9, 
   3.8195170430509644`*^9}, {3.8195269776798134`*^9, 3.81952698120543*^9}, 
   3.819541073548324*^9, {3.8198765020329514`*^9, 3.8198765536989336`*^9}, {
   3.8198775481376557`*^9, 3.819877567116106*^9}},
 CellLabel->"In[33]:=",ExpressionUUID->"9979fb0a-a654-4f48-b433-6729ee25e5d0"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166904728715115`*^9, {3.816690701355585*^9, 3.8166907609394536`*^9}, 
   3.816690844006223*^9, 3.816690894197316*^9, 3.819515959445245*^9, {
   3.8195165995899944`*^9, 3.8195166148064537`*^9}, 3.8195168938794813`*^9, 
   3.819516953566447*^9, 3.8195170100793734`*^9, 3.8195170443863935`*^9, 
   3.819526982908825*^9, {3.819541068036068*^9, 3.8195410738585005`*^9}, 
   3.819876556258129*^9, 3.8198775690539527`*^9, 3.8199408857906723`*^9},
 CellLabel->"Out[35]=",ExpressionUUID->"bcae8ee3-6873-4bbf-af0f-7fe43353d279"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166904728715115`*^9, {3.816690701355585*^9, 3.8166907609394536`*^9}, 
   3.816690844006223*^9, 3.816690894197316*^9, 3.819515959445245*^9, {
   3.8195165995899944`*^9, 3.8195166148064537`*^9}, 3.8195168938794813`*^9, 
   3.819516953566447*^9, 3.8195170100793734`*^9, 3.8195170443863935`*^9, 
   3.819526982908825*^9, {3.819541068036068*^9, 3.8195410738585005`*^9}, 
   3.819876556258129*^9, 3.8198775690539527`*^9, 3.819940885867468*^9},
 CellLabel->"Out[36]=",ExpressionUUID->"d8642c5c-e4bf-49f4-83cc-9adc451e309a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"ClearAll", "[", "\"\<`*\>\"", "]"}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"PsiA", "=", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{"4", " ", "\[Kappa]", " ", 
          RowBox[{"(", 
           RowBox[{"\[Sigma]", "-", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}], 
         "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"\[Sigma]", "-", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}], ")"}]}]]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"psiyA", "=", 
     RowBox[{"Simplify", "[", 
      FractionBox[
       RowBox[{"1", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
        RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], 
       RowBox[{"1", "+", 
        RowBox[{"PsiA", " ", "\[Sigma]"}], "-", 
        RowBox[{"PsiA", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]a"}]}]], 
      "]"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A0z", " ", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "+", 
          RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ",", 
         RowBox[{"\[Sigma]", " ", "\[Phi]a"}], ",", " ", "0", ",", "0"}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Kappa]"}], ",", "1", ",", "0", ",", "0"}], "}"}], 
       ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "1"}], ",", "0", ",", "1", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"A1z", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", 
         FractionBox["1", "\[Alpha]"], ",", 
         RowBox[{"-", "1"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"B0z", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"1", ",", "\[Sigma]", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "\[Beta]", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "}"}]}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"D0", " ", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "0", "}"}], ",", 
        RowBox[{"{", "0", "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"-", "1"}], "}"}], ",", 
        RowBox[{"{", "0", "}"}]}], "}"}]}], ";"}], "*)"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Abarz", " ", "=", " ", 
     RowBox[{
      RowBox[{"Inverse", "[", "A0z", "]"}], ".", "A1z"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Bbarz", "=", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"Inverse", "[", "A0z", "]"}], ".", "B0z"}], " ", "//", 
      "Simplify"}]}], ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Solutionsz", "=", 
     RowBox[{
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
          "}"}], "\[Equal]", 
         RowBox[{
          RowBox[{"Inverse", "[", 
           RowBox[{
            RowBox[{"IdentityMatrix", "[", "4", "]"}], "-", 
            RowBox[{"Bbarz", ".", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], 
               ",", 
               RowBox[{"{", 
                RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
              "}"}]}]}], "]"}], ".", "Abarz"}]}], ",", 
        RowBox[{"{", 
         RowBox[{
         "b11", ",", "b12", ",", "b13", ",", "b14", ",", "b21", ",", "b22", 
          ",", "b23", ",", "b24", ",", "b31", ",", "b32", ",", "b33", ",", 
          "b34", ",", "b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], 
       "]"}], "//", "Simplify"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"BFG", "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"b11", ",", "b12", ",", "b13", ",", "b14"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b21", ",", "b22", ",", "b23", ",", "b24"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b31", ",", "b32", ",", "b33", ",", "b34"}], "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"b41", ",", "b42", ",", "b43", ",", "b44"}], "}"}]}], "}"}],
        "/.", 
       RowBox[{"Solutionsz", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}], ",", 
      RowBox[{
       RowBox[{"\[Alpha]", ">", "0"}], "&&", 
       RowBox[{"\[Beta]", ">", "0"}], "&&", 
       RowBox[{"\[Sigma]", ">", "0"}], "&&", " ", 
       RowBox[{"\[Kappa]", ">", "0"}]}]}], "]"}]}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8166670416802645`*^9, 3.8166671017006054`*^9}, {
   3.8166672843477187`*^9, 3.8166672850887403`*^9}, {3.8166676604202433`*^9, 
   3.8166676606147237`*^9}, {3.816690396726689*^9, 3.8166904032592554`*^9}, {
   3.816690980549818*^9, 3.816690983798654*^9}, {3.816691021248686*^9, 
   3.816691022027605*^9}, {3.8166913692231746`*^9, 3.8166913767660646`*^9}, {
   3.819515973558504*^9, 3.81951599648798*^9}, {3.819516042743099*^9, 
   3.8195160428628197`*^9}, {3.8195160966817913`*^9, 3.819516115045287*^9}, 
   3.8195170682762737`*^9, {3.8195171155889225`*^9, 3.819517115677684*^9}, {
   3.8195171810465565`*^9, 3.8195172077475553`*^9}, 3.819876568974243*^9},
 CellLabel->"In[37]:=",ExpressionUUID->"0f100a14-8db5-4522-848e-1f9d000add04"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox["1", "\[Alpha]"]}], ",", "1"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", "\[Alpha]", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}], 
       RowBox[{"2", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}], 
       RowBox[{"2", " ", "\[Alpha]", " ", "\[Beta]"}]]}], ",", 
     FractionBox[
      RowBox[{"1", "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", "\[Beta]"}]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.816667106271406*^9, 3.8166676711801205`*^9, 3.81669098957623*^9, 
   3.8166910237220836`*^9, {3.816691370535669*^9, 3.8166913780775614`*^9}, 
   3.81951600714423*^9, 3.81951604554261*^9, {3.81951609846107*^9, 
   3.819516116273026*^9}, 3.819516738292644*^9, 3.8195170795361643`*^9, 
   3.8195171160745916`*^9, {3.8195171822802567`*^9, 3.819517215309101*^9}, 
   3.819541077998398*^9, 3.819876598117223*^9, 3.8198775958795524`*^9, 
   3.8199409017516193`*^9},
 CellLabel->"Out[46]=",ExpressionUUID->"dbc12fc5-9878-4d21-bad2-d97342055fbc"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"PsiCheck", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"-", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"-", "1"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]]}], "-", "PsiA"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"PsiyCheck", "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{
     FractionBox[
      RowBox[{"1", "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
       SqrtBox[
        RowBox[{
         RowBox[{
          RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
         SuperscriptBox[
          RowBox[{"(", 
           RowBox[{
            RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
            RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
            RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
          "2"]}]]}], 
      RowBox[{"2", " ", "\[Beta]"}]], "-", "psiyA"}], "]"}]}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{"PsiCheck1", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"PsiA", "-", 
    RowBox[{"\[Kappa]", "/", 
     RowBox[{"(", 
      RowBox[{"1", "-", 
       RowBox[{"\[Beta]", " ", "psiyA"}]}], ")"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"PsiyCheck2", "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{"psiyA", "-", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]ya"}], "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]a", " ", "PsiA"}]}], ")"}], "/", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", "  ", "PsiA"}]}], ")"}]}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.8166672917733803`*^9, 3.816667317102058*^9}, 
   3.816667690323968*^9, 3.8166910027375946`*^9, 3.8166910389589*^9, {
   3.8166910950521264`*^9, 3.81669109548697*^9}, {3.8166913889086337`*^9, 
   3.816691392118059*^9}, 3.819516015439041*^9, {3.8195161656728992`*^9, 
   3.81951618526392*^9}, {3.8195167876822944`*^9, 3.819516826944964*^9}, {
   3.819517106428419*^9, 3.8195171575224533`*^9}, {3.8198766068748603`*^9, 
   3.819876625174633*^9}, {3.8198776104611816`*^9, 3.819877618585515*^9}, {
   3.819940906959699*^9, 3.819940984539585*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"3572788c-490e-4b85-af93-4b80c872a209"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166673271791215`*^9, {3.816667691985523*^9, 3.8166677067414436`*^9}, {
   3.816691005983925*^9, 3.816691041863146*^9}, 3.8166910960015955`*^9, 
   3.8166913925678587`*^9, 3.819516017315023*^9, 3.8195160489605856`*^9, {
   3.819516167729396*^9, 3.819516185645899*^9}, 3.819516829139097*^9, {
   3.8195171093924866`*^9, 3.8195171589765577`*^9}, 3.8195172182273026`*^9, 
   3.8195410808328633`*^9, 3.8198766271319113`*^9, 3.819877620442573*^9, {
   3.8199409624096518`*^9, 3.8199409889408207`*^9}},
 CellLabel->"Out[51]=",ExpressionUUID->"2922317c-5922-47e9-b2cb-4f10e91f8c80"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166673271791215`*^9, {3.816667691985523*^9, 3.8166677067414436`*^9}, {
   3.816691005983925*^9, 3.816691041863146*^9}, 3.8166910960015955`*^9, 
   3.8166913925678587`*^9, 3.819516017315023*^9, 3.8195160489605856`*^9, {
   3.819516167729396*^9, 3.819516185645899*^9}, 3.819516829139097*^9, {
   3.8195171093924866`*^9, 3.8195171589765577`*^9}, 3.8195172182273026`*^9, 
   3.8195410808328633`*^9, 3.8198766271319113`*^9, 3.819877620442573*^9, {
   3.8199409624096518`*^9, 3.819940988947802*^9}},
 CellLabel->"Out[52]=",ExpressionUUID->"cb14c8ce-23e9-463a-ac2a-4bc8fc780c69"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166673271791215`*^9, {3.816667691985523*^9, 3.8166677067414436`*^9}, {
   3.816691005983925*^9, 3.816691041863146*^9}, 3.8166910960015955`*^9, 
   3.8166913925678587`*^9, 3.819516017315023*^9, 3.8195160489605856`*^9, {
   3.819516167729396*^9, 3.819516185645899*^9}, 3.819516829139097*^9, {
   3.8195171093924866`*^9, 3.8195171589765577`*^9}, 3.8195172182273026`*^9, 
   3.8195410808328633`*^9, 3.8198766271319113`*^9, 3.819877620442573*^9, {
   3.8199409624096518`*^9, 3.8199409889537864`*^9}},
 CellLabel->"Out[53]=",ExpressionUUID->"c7f8bd0b-ded1-493c-9730-7d41ddadf3ed"],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.8166673271791215`*^9, {3.816667691985523*^9, 3.8166677067414436`*^9}, {
   3.816691005983925*^9, 3.816691041863146*^9}, 3.8166910960015955`*^9, 
   3.8166913925678587`*^9, 3.819516017315023*^9, 3.8195160489605856`*^9, {
   3.819516167729396*^9, 3.819516185645899*^9}, 3.819516829139097*^9, {
   3.8195171093924866`*^9, 3.8195171589765577`*^9}, 3.8195172182273026`*^9, 
   3.8195410808328633`*^9, 3.8198766271319113`*^9, 3.819877620442573*^9, {
   3.8199409624096518`*^9, 3.8199409890485334`*^9}},
 CellLabel->"Out[54]=",ExpressionUUID->"5ce5e642-ca38-47be-b028-688a026a9263"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.8195167681514835`*^9, 3.8195167693333516`*^9}, {
  3.8195172253692055`*^9, 
  3.8195172292701273`*^9}},ExpressionUUID->"b202fd2d-7428-4930-b361-\
bfe5aaa933f2"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"IE", "-", "STABILITY"}], "*)"}], "\[IndentingNewLine]", 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"FIRST", " ", "CONDITION"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"F", "=", 
    RowBox[{"MatrixForm", "[", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{"Inverse", "[", 
        RowBox[{
         RowBox[{"IdentityMatrix", "[", "4", "]"}], "-", 
         RowBox[{"Bbarz", ".", "BFG"}]}], "]"}], ".", "Bbarz"}], "]"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{
      RowBox[{"/.", 
       RowBox[{"Solutions", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], "/.", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"\[Phi]", "\[Rule]", "1.5"}], ",", 
        RowBox[{"s", "\[Rule]", ".96"}], ",", 
        RowBox[{"\[Beta]", "\[Rule]", ".99"}], ",", 
        RowBox[{"\[Kappa]", "\[Rule]", ".02"}], ",", 
        RowBox[{"\[Sigma]", "\[Rule]", "0.5"}], ",", 
        RowBox[{"\[Lambda]", "\[Rule]", ".21"}], ",", 
        RowBox[{"\[Chi]", "\[Rule]", "1.48"}], ",", 
        RowBox[{"\[Alpha]", "\[Rule]", "1.5"}]}], "}"}]}], "//", 
     "Eigenvalues"}], "*)"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.8166673319548717`*^9, 3.816667333478798*^9}, 
   3.8166676489698796`*^9, {3.8166677149888887`*^9, 3.8166677797187657`*^9}, {
   3.816668356143364*^9, 3.816668387441622*^9}, {3.8166684384891543`*^9, 
   3.8166684949546585`*^9}},
 CellLabel->
  "In[356]:=",ExpressionUUID->"8f561131-f7c2-4d68-95b5-8dabd7e6b9fd"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"\[Alpha]", "0", "0", "0"},
     {
      RowBox[{"-", 
       FractionBox[
        RowBox[{"\[Beta]", "-", 
         RowBox[{"\[Alpha]", " ", "\[Beta]"}], "-", 
         SuperscriptBox["\[Beta]", "2"], "+", 
         RowBox[{"\[Alpha]", " ", 
          SuperscriptBox["\[Beta]", "2"]}], "+", 
         RowBox[{"\[Alpha]", " ", "\[Kappa]", " ", "\[Sigma]"}], "-", 
         RowBox[{"\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{
         "2", " ", "\[Alpha]", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          "\[Sigma]"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          SuperscriptBox["\[Kappa]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"]}], "-", 
         RowBox[{
         "2", " ", "\[Alpha]", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          "\[Sigma]", " ", "\[Phi]a"}], "-", 
         RowBox[{
         "\[Alpha]", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "-", 
         RowBox[{
          SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]ya"}], 
         "+", 
         RowBox[{"2", " ", "\[Alpha]", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]ya"}], 
         "+", 
         RowBox[{"2", " ", "\[Alpha]", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]ya"}], "+", 
         RowBox[{"\[Alpha]", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", 
          SuperscriptBox["\[Phi]ya", "2"]}], "-", 
         RowBox[{"\[Beta]", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}],
              "2"]}]]}], "+", 
         RowBox[{"\[Alpha]", " ", "\[Beta]", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}],
              "2"]}]]}], "+", 
         RowBox[{"\[Alpha]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}],
              "2"]}]]}], "+", 
         RowBox[{
         "\[Alpha]", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{
             RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
               RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}],
              "2"]}]]}]}], 
        RowBox[{"\[Sigma]", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{"-", "1"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}], " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", "\[Beta]", "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
           RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
           SqrtBox[
            RowBox[{
             RowBox[{
              RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", 
                RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
             SuperscriptBox[
              RowBox[{"(", 
               RowBox[{
                RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
                RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
                RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], 
               ")"}], "2"]}]]}], ")"}]}]]}], 
      FractionBox[
       RowBox[{"2", " ", "\[Beta]"}], 
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}]], "0", "0"},
     {"\[Alpha]", "0", "0", "0"},
     {
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", 
        RowBox[{"2", " ", "\[Alpha]"}], "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{
        "2", " ", "\[Alpha]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
         "\[Phi]a"}], "+", 
        RowBox[{"2", " ", "\[Alpha]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}], 
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}]], 
      FractionBox[
       RowBox[{"2", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "+", 
          RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], 
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}]], "0", "0"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Baseline}}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{{3.816668364394288*^9, 3.8166683757658615`*^9}, 
   3.8166684464867563`*^9, 3.8166684986058893`*^9, 3.8166914058060045`*^9, 
   3.81951723517235*^9, 3.8195410840094056`*^9, 3.8198766467960496`*^9, 
   3.8198776266081285`*^9},
 CellLabel->
  "Out[356]//MatrixForm=",ExpressionUUID->"accb50e1-d650-4e18-8367-\
7d6a1d812908"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Clearly", ",", " ", 
    RowBox[{
     RowBox[{"eigenvalues", " ", "are", " ", 
      FractionBox[
       RowBox[{"2", " ", "\[Beta]"}], 
       RowBox[{"1", "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}], "+", 
        SqrtBox[
         RowBox[{
          RowBox[{"4", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           RowBox[{"(", 
            RowBox[{"1", "-", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}], "+", 
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
             RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
             RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]ya"}]}], ")"}], 
           "2"]}]]}]], " ", "and", " ", "\[Alpha]", " ", "which", " ", "are", 
      " ", "both", " ", "less", " ", "than", " ", "one", " ", "in", " ", 
      "magnitude", " ", "if", " ", "\[Phi]a"}], "<", 
     RowBox[{"1", "!"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"SECOND", " ", 
     RowBox[{"CONDITION", ":", " ", 
      RowBox[{
       RowBox[{"trivial", "..."}], "since", " ", "eigenvalues", " ", "of", 
       " ", "F", " ", "and", " ", "BFG", " ", "are", " ", "inside", " ", 
       "unit", " ", "circle"}]}]}], ",", " ", 
    RowBox[{"so", " ", "is", " ", "r", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"kron", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"BFG", "'"}], ",", "F"}], ")"}]}], ")"}], ".", " ", "We"}], 
     " ", "prove", " ", "that", " ", "eigenvalue", " ", "of", " ", "BFG", " ",
      "is", " ", "inside", " ", "unit", " ", "circle", " ", "in", " ", 
     "NK_Sunspot", "_proposition", "_proof", 
     RowBox[{"_final", ".", "nb"}], " ", "because", " ", "it", " ", "turns", 
     " ", "out", " ", "that", " ", "the", " ", "BFG", " ", "has", " ", "the", 
     " ", "same", " ", "spectral", " ", "radius", " ", "regardless", " ", 
     "of", " ", "whether", " ", "sunspot", " ", "is", " ", "in", " ", 
     "output", " ", "or", " ", "inflation", " ", 
     RowBox[{"expectations", "."}]}]}], " ", "*)"}]}]], "Input",
 CellChangeTimes->{{3.816668503516757*^9, 3.8166685698638735`*^9}, 
   3.816691430129198*^9, {3.819517330945621*^9, 3.8195173532729526`*^9}, {
   3.8198766667413692`*^9, 3.8198766769881268`*^9}, {3.8198779238186345`*^9, 
   3.8198779745462613`*^9}},ExpressionUUID->"ca4c378d-8fe1-4fb0-92c5-\
d1a72c261c85"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.819873149959238*^9, 
  3.819873150628449*^9}},ExpressionUUID->"1ac33c88-f4ae-49d2-8267-\
cc9c566044ed"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"Numerics", ".", " ", "Solve"}], " ", "for", " ", "stable", " ", 
    "root"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[Beta]", "=", ".99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Kappa]", " ", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Sigma]", "=", "1"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Phi]a", "=", "0.99"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Phi]ya", "=", "0"}], ";"}], "\[IndentingNewLine]", 
   FractionBox[
    RowBox[{"\[Beta]", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]a"}], "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]ya"}]}], ")"}]}], 
    SuperscriptBox[
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"x", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{"1", "-", 
          RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}], ")"}], "2"]], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox[
         RowBox[{"\[Beta]", " ", "x", 
          RowBox[{"(", 
           RowBox[{"1", "+", 
            RowBox[{"\[Sigma]", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"\[Kappa]", " ", "\[Phi]a"}], "+", "\[Phi]ya"}], 
              ")"}]}]}], ")"}]}], 
         RowBox[{"1", "+", 
          RowBox[{"x", " ", "\[Sigma]", 
           RowBox[{"(", 
            RowBox[{"1", "-", " ", 
             RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}]], "+", 
        "\[Kappa]"}], ",", "x"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "20"}], ",", "10"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Solve", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       FractionBox[
        RowBox[{"\[Beta]", " ", "x", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"\[Sigma]", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"\[Kappa]", " ", "\[Phi]a"}], "+", "\[Phi]ya"}], 
             ")"}]}]}], ")"}]}], 
        RowBox[{"1", "+", 
         RowBox[{"x", " ", "\[Sigma]", 
          RowBox[{"(", 
           RowBox[{"1", "-", " ", 
            RowBox[{"\[Beta]", " ", "\[Phi]a"}]}], ")"}]}]}]], "+", 
       "\[Kappa]", "-", "x"}], "\[Equal]", "0"}], ",", "x"}], 
    "]"}]}]}]], "Input",
 CellChangeTimes->{{3.819876721268244*^9, 
  3.819876723112824*^9}},ExpressionUUID->"4c394525-0080-48b9-adc4-\
4e6f2c90094c"]
},
WindowSize->{949., 472.5},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>0.7 Inherited,
FrontEndVersion->"12.1 for Microsoft Windows (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"07d020c6-bb01-4421-a99e-eff88f69a306"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 5840, 155, 255, "Input",ExpressionUUID->"11915e7c-9506-4e99-8ec3-83dae53a0432"],
Cell[CellGroupData[{
Cell[6423, 179, 439, 8, 62, "Input",ExpressionUUID->"fd91ec4f-cc4d-4ffb-a2df-393141d49262"],
Cell[6865, 189, 4533, 118, 90, "Output",ExpressionUUID->"29f8c451-3f43-472d-9538-5a84e2a6a954"]
}, Open  ]],
Cell[CellGroupData[{
Cell[11435, 312, 3270, 81, 101, "Input",ExpressionUUID->"6c1e0aa7-c4c2-4da7-a618-75619249ae79"],
Cell[14708, 395, 596, 8, 23, "Output",ExpressionUUID->"b1eada6d-611a-4287-bf55-a5d41948876e"],
Cell[15307, 405, 598, 8, 49, "Output",ExpressionUUID->"1f31a8d5-a332-44ab-9c21-9e98bc0a1c59"]
}, Open  ]],
Cell[15920, 416, 4865, 123, 167, "Input",ExpressionUUID->"a3b6f35e-d920-424b-9320-ea6888ff8230"],
Cell[CellGroupData[{
Cell[20810, 543, 4358, 115, 244, "Input",ExpressionUUID->"d96e7f2b-86a7-4041-b347-476291790e8b"],
Cell[25171, 660, 2612, 67, 39, "Output",ExpressionUUID->"1c0fa99b-9fe0-4833-acf0-27c1360bbe9e"]
}, Open  ]],
Cell[27798, 730, 1503, 34, 64, "Input",ExpressionUUID->"0035d9b2-fe4a-4b01-83c3-c043a6764c85"],
Cell[CellGroupData[{
Cell[29326, 768, 2548, 68, 131, "Input",ExpressionUUID->"13b644a3-a94f-4f81-acd9-5aab1ff421a1"],
Cell[31877, 838, 2354, 63, 90, "Output",ExpressionUUID->"5e6ad46c-acf5-48e1-abee-e5e045c38a9b"]
}, Open  ]],
Cell[34246, 904, 1036, 28, 51, "Input",ExpressionUUID->"8ce3dc85-3744-4457-ad0b-a617bf6d06cf"],
Cell[35285, 934, 3589, 91, 155, "Input",ExpressionUUID->"9cfb073e-3973-4766-99f7-73f457c6f7c5"],
Cell[38877, 1027, 128, 3, 21, "Input",ExpressionUUID->"9678579f-8313-4ccf-9e26-4c6a44231ed7"],
Cell[CellGroupData[{
Cell[39030, 1034, 1624, 39, 91, "Input",ExpressionUUID->"e91a86a8-6f70-4747-b450-1dee65695723"],
Cell[40657, 1075, 2090, 56, 42, "Output",ExpressionUUID->"32d396e6-4738-4984-81d0-720fef8bd609"]
}, Open  ]],
Cell[42762, 1134, 2034, 56, 77, "Input",ExpressionUUID->"2e077607-4634-4de5-ba73-8833aa1f51d0"],
Cell[44799, 1192, 2388, 65, 57, "Input",ExpressionUUID->"f0d68e5f-a209-448a-b378-2c377340ca35"],
Cell[CellGroupData[{
Cell[47212, 1261, 1855, 45, 65, "Input",ExpressionUUID->"ec2f1ebb-010e-4845-8851-12e9ca61e23b"],
Cell[49070, 1308, 1166, 25, 39, "Output",ExpressionUUID->"577a239e-20e6-4df9-8ee0-f4e39086b050"],
Cell[50239, 1335, 1348, 30, 39, "Output",ExpressionUUID->"336d7252-ed34-4f45-9956-9477eb64afe9"]
}, Open  ]],
Cell[51602, 1368, 1055, 19, 28, "Input",ExpressionUUID->"edb7fa03-eb1c-4cd2-a758-aa4fcddebfc5"],
Cell[52660, 1389, 480, 12, 21, "Input",ExpressionUUID->"1e65f8ee-f128-46a8-8f48-43fc68265054"],
Cell[CellGroupData[{
Cell[53165, 1405, 1925, 51, 71, "Input",ExpressionUUID->"dbe4ea20-2879-427b-8f94-50457d47cfc1"],
Cell[55093, 1458, 542, 14, 38, "Output",ExpressionUUID->"e5815608-7077-4f06-a233-95b757438c1f"]
}, Open  ]],
Cell[55650, 1475, 557, 16, 21, "Input",ExpressionUUID->"2e222b90-9bac-42c0-848e-f8a556bed5bd"],
Cell[56210, 1493, 526, 14, 21, "Input",ExpressionUUID->"54eb0fae-111b-4453-bdbb-6c0cc63699ac"],
Cell[56739, 1509, 2837, 72, 92, "Input",ExpressionUUID->"8406d052-c016-4b5c-9487-482fd9847427"],
Cell[59579, 1583, 130, 3, 21, "Input",ExpressionUUID->"452a5df7-0002-49d7-a1b0-1b26293bb979"],
Cell[CellGroupData[{
Cell[59734, 1590, 2901, 71, 149, "Input",ExpressionUUID->"9979fb0a-a654-4f48-b433-6729ee25e5d0"],
Cell[62638, 1663, 572, 8, 23, "Output",ExpressionUUID->"bcae8ee3-6873-4bbf-af0f-7fe43353d279"],
Cell[63213, 1673, 570, 8, 23, "Output",ExpressionUUID->"d8642c5c-e4bf-49f4-83cc-9adc451e309a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[63820, 1686, 7364, 189, 378, "Input",ExpressionUUID->"0f100a14-8db5-4522-848e-1f9d000add04"],
Cell[71187, 1877, 4465, 113, 79, "Output",ExpressionUUID->"dbc12fc5-9878-4d21-bad2-d97342055fbc"]
}, Open  ]],
Cell[CellGroupData[{
Cell[75689, 1995, 3282, 83, 120, "Input",ExpressionUUID->"3572788c-490e-4b85-af93-4b80c872a209"],
Cell[78974, 2080, 628, 9, 23, "Output",ExpressionUUID->"2922317c-5922-47e9-b2cb-4f10e91f8c80"],
Cell[79605, 2091, 626, 9, 23, "Output",ExpressionUUID->"cb14c8ce-23e9-463a-ac2a-4bc8fc780c69"],
Cell[80234, 2102, 628, 9, 23, "Output",ExpressionUUID->"c7f8bd0b-ded1-493c-9730-7d41ddadf3ed"],
Cell[80865, 2113, 628, 9, 49, "Output",ExpressionUUID->"5ce5e642-ca38-47be-b028-688a026a9263"]
}, Open  ]],
Cell[81508, 2125, 289, 6, 62, "Input",ExpressionUUID->"b202fd2d-7428-4930-b361-bfe5aaa933f2"],
Cell[CellGroupData[{
Cell[81822, 2135, 1599, 40, 103, "Input",ExpressionUUID->"8f561131-f7c2-4d68-95b5-8dabd7e6b9fd"],
Cell[83424, 2177, 9436, 232, 88, "Output",ExpressionUUID->"accb50e1-d650-4e18-8367-7d6a1d812908"]
}, Open  ]],
Cell[92875, 2412, 2556, 55, 71, "Input",ExpressionUUID->"ca4c378d-8fe1-4fb0-92c5-d1a72c261c85"],
Cell[95434, 2469, 304, 6, 103, "Input",ExpressionUUID->"1ac33c88-f4ae-49d2-8267-cc9c566044ed"],
Cell[95741, 2477, 2654, 77, 209, "Input",ExpressionUUID->"4c394525-0080-48b9-adc4-4e6f2c90094c"]
}
]
*)

