(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     48950,       1226]
NotebookOptionsPosition[     46381,       1175]
NotebookOutlinePosition[     46818,       1192]
CellTagsIndexPosition[     46775,       1189]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<`*\>\"", "]"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Checked", " ", "13.12", ".2022", " ", "NM"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{"A", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Inverse", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "+", 
          RowBox[{"\[Sigma]", " ", "\[Phi]x"}]}], ",", 
         RowBox[{"\[Sigma]", " ", "\[Phi]\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Kappa]"}], ",", "1"}], "}"}]}], "}"}], "]"}], ".", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1", ",", "\[Sigma]"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", "\[Beta]"}], "}"}]}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"\[CapitalGamma]", "=", 
  RowBox[{"Simplify", "[", 
   RowBox[{
    RowBox[{"Inverse", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"1", "+", 
          RowBox[{"\[Sigma]", " ", "\[Phi]x"}]}], ",", 
         RowBox[{"\[Sigma]", " ", "\[Phi]\[Pi]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", "\[Kappa]"}], ",", "1"}], "}"}]}], "}"}], "]"}], ".", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "\[Sigma]"}], " ", "ii"}], "}"}], ",", 
      RowBox[{"{", "0", "}"}]}], "}"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.87922810971546*^9, 3.879228110021849*^9}, {
  3.8792282817107387`*^9, 3.879228363206398*^9}, {3.8792287405829887`*^9, 
  3.879228747119373*^9}, {3.879232781387987*^9, 3.8792327817889986`*^9}, {
  3.8799106212802744`*^9, 3.8799106246589217`*^9}, {3.8799119777722263`*^9, 
  3.8799119941517735`*^9}, {3.8799206278375244`*^9, 
  3.879920628323169*^9}},ExpressionUUID->"24c3a3e1-790b-4248-b93f-\
96a2a2cac2de"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox["1", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]], ",", 
     FractionBox[
      RowBox[{"\[Sigma]", "-", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     FractionBox["\[Kappa]", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]], ",", 
     FractionBox[
      RowBox[{"\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8792283642077847`*^9, 3.879228747666765*^9, 3.87922999579911*^9, 
   3.879232783230526*^9, 3.8792330154885497`*^9, 3.879233629459995*^9, {
   3.8792337199285574`*^9, 3.8792337327760067`*^9}, 3.879233895911949*^9, 
   3.8792339640761795`*^9, 3.879237907933995*^9, 3.879906678983576*^9, 
   3.8799108299397383`*^9, 3.8799110350024953`*^9},
 CellLabel->
  "Out[1548]=",ExpressionUUID->"c631140b-4a00-40bb-bb75-f1b4ae202de7"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"ii", " ", "\[Sigma]"}], 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"ii", " ", "\[Kappa]", " ", "\[Sigma]"}], 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}]]}], 
    "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8792283642077847`*^9, 3.879228747666765*^9, 3.87922999579911*^9, 
   3.879232783230526*^9, 3.8792330154885497`*^9, 3.879233629459995*^9, {
   3.8792337199285574`*^9, 3.8792337327760067`*^9}, 3.879233895911949*^9, 
   3.8792339640761795`*^9, 3.879237907933995*^9, 3.879906678983576*^9, 
   3.8799108299397383`*^9, 3.8799110350024953`*^9},
 CellLabel->
  "Out[1549]=",ExpressionUUID->"b2db6656-3406-4653-b9ad-f779f5efff70"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"E", 
     RowBox[{"(", 
      RowBox[{"T", "^", "a"}], ")"}], "y", 
     RowBox[{"(", 
      RowBox[{"T", "*", 
       RowBox[{"+", "1"}]}], ")"}]}], "=", "0"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"E", 
     RowBox[{"(", 
      RowBox[{"T", "^", "a"}], ")"}], "y", 
     RowBox[{"(", 
      RowBox[{"T", "*"}], " ", ")"}]}], "=", "\[CapitalGamma]"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"\[CapitalDelta]p", "=", "10"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"a\[CapitalDelta]p", "=", 
     RowBox[{
      RowBox[{"MatrixPower", "[", 
       RowBox[{"A", ",", "\[CapitalDelta]p"}], "]"}], ".", 
      "\[CapitalGamma]"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.879228377501973*^9, 3.87922862387932*^9}, {
   3.8792287532726107`*^9, 3.8792287989453754`*^9}, 3.879229013093181*^9, 
   3.8792327907981*^9, 3.879233627492451*^9, {3.879233718255452*^9, 
   3.879233730824035*^9}, {3.8792338929358945`*^9, 3.8792338942080917`*^9}, 
   3.8792339604358444`*^9, {3.8799106942075386`*^9, 3.8799106963971596`*^9}},
 CellLabel->
  "In[1550]:=",ExpressionUUID->"5ba275c1-40a4-46ba-96ce-ddcf6baaf72d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Eigenvalues", "[", "A", "]"}]], "Input",
 CellChangeTimes->{{3.8792290437153893`*^9, 3.8792290464695253`*^9}},
 CellLabel->
  "In[1552]:=",ExpressionUUID->"8e2bd97d-1b4f-4aed-9331-de7b82e72946"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"1", "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], "2"],
        "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{
          "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}],
          ")"}]}]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], ")"}]}]], 
   ",", 
   FractionBox[
    RowBox[{"1", "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], "2"],
        "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{
          "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}],
          ")"}]}]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
      ")"}]}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.879233015819905*^9, 3.8792336297605667`*^9, {3.8792337202289963`*^9, 
   3.8792337330920763`*^9}, 3.879233896312907*^9, 3.8792339643768992`*^9, 
   3.8792379082502527`*^9, 3.8799108366088085`*^9, 3.879911035156116*^9},
 CellLabel->
  "Out[1552]=",ExpressionUUID->"83eb70d2-d5c7-4242-b14f-b4672f718ee0"]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.8792343799413776`*^9, 3.8792343828953457`*^9}, 
   3.8792378801090746`*^9},
 CellLabel->
  "In[1553]:=",ExpressionUUID->"4f1341fd-eca3-4ec0-9492-f0db80db4a41"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[CapitalLambda]", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       FractionBox[
        RowBox[{"1", "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], 
            "2"], "-", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{"\[Beta]", "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{
              "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
               "\[Phi]\[Pi]"}]}], ")"}]}]}]]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
          ")"}]}]], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       FractionBox[
        RowBox[{"1", "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], 
            "2"], "-", 
           RowBox[{"4", " ", 
            RowBox[{"(", 
             RowBox[{"\[Beta]", "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{
              "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
               "\[Phi]\[Pi]"}]}], ")"}]}]}]]}], 
        RowBox[{"2", " ", 
         RowBox[{"(", 
          RowBox[{"1", "+", 
           RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
           RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
          ")"}]}]]}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Q", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}]}], "}"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Solve", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Inverse", "[", "Q", "]"}], ".", "\[CapitalLambda]", ".", "Q"}], 
    "\[Equal]", "A"}], ",", 
   RowBox[{"{", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.8792290576306715`*^9, 3.879229120093258*^9}, {
  3.879229408088767*^9, 3.879229409777265*^9}, {3.87922951305307*^9, 
  3.879229529023646*^9}, {3.87922981732812*^9, 3.879229858079762*^9}, {
  3.879229975250033*^9, 3.879229991218825*^9}, {3.879232804849988*^9, 
  3.879232829496909*^9}, {3.879910938898698*^9, 3.8799109392530627`*^9}, {
  3.87991100778049*^9, 3.8799110265639553`*^9}},
 CellLabel->
  "In[1554]:=",ExpressionUUID->"a352551d-c284-4af4-b969-dfa2a8776a89"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"{", 
   RowBox[{
    RowBox[{"b", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "a"}], "+", 
       RowBox[{"a", " ", "\[Beta]"}], "+", 
       RowBox[{"a", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"a", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
       RowBox[{"a", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Beta]"}], "+", 
          SuperscriptBox["\[Beta]", "2"], "+", 
          RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], 
          "+", 
          RowBox[{
           SuperscriptBox["\[Kappa]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"]}], "-", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
          "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
          RowBox[{
           SuperscriptBox["\[Beta]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", 
           SuperscriptBox["\[Phi]x", "2"]}], "-", 
          RowBox[{
          "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           "\[Phi]\[Pi]"}]}]]}]}], 
      RowBox[{"2", " ", "\[Kappa]"}]]}], ",", 
    RowBox[{"d", "\[Rule]", 
     FractionBox[
      RowBox[{
       RowBox[{"-", "c"}], "+", 
       RowBox[{"c", " ", "\[Beta]"}], "+", 
       RowBox[{"c", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"c", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"c", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Beta]"}], "+", 
          SuperscriptBox["\[Beta]", "2"], "+", 
          RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], 
          "+", 
          RowBox[{
           SuperscriptBox["\[Kappa]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"]}], "-", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
          "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
          RowBox[{
           SuperscriptBox["\[Beta]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", 
           SuperscriptBox["\[Phi]x", "2"]}], "-", 
          RowBox[{
          "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           "\[Phi]\[Pi]"}]}]]}]}], 
      RowBox[{"2", " ", "\[Kappa]"}]]}]}], "}"}], "}"}]], "Output",
 CellChangeTimes->{{3.879229114802843*^9, 3.8792291205632987`*^9}, 
   3.879229410394513*^9, {3.8792295141871805`*^9, 3.8792295293933725`*^9}, {
   3.8792298189784327`*^9, 3.8792298586345243`*^9}, 3.879229996300487*^9, {
   3.879232823519007*^9, 3.879232830167733*^9}, 3.87923301605739*^9, 
   3.879233630083288*^9, {3.8792337206145477`*^9, 3.879233733461483*^9}, 
   3.8792338966603203`*^9, 3.879233964693241*^9, 3.8792379085041494`*^9, 
   3.879910941239539*^9, {3.879911027914652*^9, 3.8799110383113575`*^9}},
 CellLabel->
  "Out[1556]=",ExpressionUUID->"1ed4a0ac-4269-4ff2-967c-0670ed030543"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "a"}], "+", 
     RowBox[{"a", " ", "\[Beta]"}], "+", 
     RowBox[{"a", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"a", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
     RowBox[{"a", " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Beta]"}], "+", 
        SuperscriptBox["\[Beta]", "2"], "+", 
        RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Kappa]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"]}], "-", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
        "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
        RowBox[{
         SuperscriptBox["\[Beta]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", 
         SuperscriptBox["\[Phi]x", "2"]}], "-", 
        RowBox[{
        "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
         "\[Phi]\[Pi]"}]}]]}]}], 
    RowBox[{"2", " ", "\[Kappa]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"c", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "=", 
   FractionBox[
    RowBox[{
     RowBox[{"-", "c"}], "+", 
     RowBox[{"c", " ", "\[Beta]"}], "+", 
     RowBox[{"c", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"c", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
     RowBox[{"c", " ", 
      SqrtBox[
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Beta]"}], "+", 
        SuperscriptBox["\[Beta]", "2"], "+", 
        RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Kappa]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"]}], "-", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
        "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
        RowBox[{
         SuperscriptBox["\[Beta]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", 
         SuperscriptBox["\[Phi]x", "2"]}], "-", 
        RowBox[{
        "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
         "\[Phi]\[Pi]"}]}]]}]}], 
    RowBox[{"2", " ", "\[Kappa]"}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Inverse", "[", "Q", "]"}], ".", "\[CapitalLambda]", ".", "Q"}], 
   "-", "A"}], "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.879229887073349*^9, 3.879229927078661*^9}, {
   3.879230097426776*^9, 3.8792301223454866`*^9}, {3.8792328404221277`*^9, 
   3.879232845648672*^9}, {3.879910954360013*^9, 3.8799109743757334`*^9}, 
   3.8799110557169847`*^9},
 CellLabel->
  "In[1558]:=",ExpressionUUID->"c73f3da0-b326-4243-833c-98e9f61c803a"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.8792299112555313`*^9, 3.879229928059388*^9}, {
   3.8792301186820784`*^9, 3.879230122746666*^9}, 3.879232847622183*^9, 
   3.879233016173316*^9, 3.87923363019928*^9, {3.8792337207148805`*^9, 
   3.87923373357734*^9}, 3.879233896776181*^9, 3.879233964809146*^9, 
   3.8792379085888276`*^9, {3.879910968075141*^9, 3.879910974808067*^9}, 
   3.8799112275844154`*^9},
 CellLabel->
  "Out[1562]=",ExpressionUUID->"d2bb2af1-9598-4361-9646-fc0e5a55afd7"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"Inverse", "[", "Q", "]"}], ".", 
    RowBox[{"MatrixPower", "[", 
     RowBox[{"\[CapitalLambda]", ",", "\[CapitalDelta]p"}], "]"}], ".", "Q"}],
    "-", 
   RowBox[{"MatrixPower", "[", 
    RowBox[{"A", ",", "\[CapitalDelta]p"}], "]"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8792301386180115`*^9, 3.8792301432664666`*^9}, {
  3.8792302503415165`*^9, 3.879230291298826*^9}, {3.8799112120196266`*^9, 
  3.8799112191313705`*^9}},
 CellLabel->
  "In[1565]:=",ExpressionUUID->"678e1f9f-7ff2-42d9-a15c-daba558191b4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{{3.879230269844002*^9, 3.879230291900406*^9}, 
   3.879232851436784*^9, 3.879233016273378*^9, 3.879233630315098*^9, 
   3.8792337215633345`*^9, 3.8792338905988607`*^9, {3.879233962703704*^9, 
   3.8792339656488175`*^9}, 3.879237909321843*^9, 3.8799109851650887`*^9, 
   3.879911225372627*^9, 3.8799113976883545`*^9},
 CellLabel->
  "Out[1565]=",ExpressionUUID->"214cc606-efd3-440c-bea8-bb2ebac2f437"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"Q", ".", "\[CapitalGamma]"}], "]"}]], "Input",
 CellChangeTimes->{{3.879230296697744*^9, 3.8792303062226*^9}, 
   3.8799112388486047`*^9},
 CellLabel->
  "In[1564]:=",ExpressionUUID->"d3130947-4d6e-4d12-a722-3f0a418eebbd"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"ii", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Beta]", "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], 
            "2"], "+", 
           RowBox[{"2", " ", "\[Beta]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                 RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], ")"}]}]}]]}],
         ")"}]}], 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{"\[Phi]x", "+", 
          RowBox[{"\[Kappa]", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}]]}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{"-", 
     FractionBox[
      RowBox[{"ii", " ", "\[Sigma]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Beta]", "+", 
         RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
         SqrtBox[
          RowBox[{
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
           SuperscriptBox[
            RowBox[{"(", 
             RowBox[{"\[Beta]", "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], 
            "2"], "+", 
           RowBox[{"2", " ", "\[Beta]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "-", 
              RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                 RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], ")"}]}]}]]}],
         ")"}]}], 
      RowBox[{"2", "+", 
       RowBox[{"2", " ", "\[Sigma]", " ", 
        RowBox[{"(", 
         RowBox[{"\[Phi]x", "+", 
          RowBox[{"\[Kappa]", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}]]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.879230307048977*^9, 3.879232855081543*^9, 3.8792330163890395`*^9, 
   3.8792336304309845`*^9, 3.8792337217795105`*^9, 3.879233965911806*^9, 
   3.879237909607048*^9, 3.8799109909637823`*^9, {3.879911232467346*^9, 
   3.8799112396807904`*^9}},
 CellLabel->
  "Out[1564]=",ExpressionUUID->"553da05f-6bd3-47d2-91cc-690312f32469"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Inverse", "[", "Q", "]"}]], "Input",
 CellChangeTimes->{{3.8792303827368784`*^9, 3.879230384873331*^9}, {
  3.87991140370492*^9, 3.879911404059145*^9}},
 CellLabel->
  "In[1566]:=",ExpressionUUID->"522eea25-7832-4eb0-aa1c-a4de77f9d818"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
       RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
       SqrtBox[
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Beta]"}], "+", 
         SuperscriptBox["\[Beta]", "2"], "+", 
         RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Kappa]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"]}], "-", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
         "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
         RowBox[{
          SuperscriptBox["\[Beta]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", 
          SuperscriptBox["\[Phi]x", "2"]}], "-", 
         RowBox[{
         "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          "\[Phi]\[Pi]"}]}]]}], 
      RowBox[{"2", " ", 
       SqrtBox[
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Beta]"}], "+", 
         SuperscriptBox["\[Beta]", "2"], "+", 
         RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Kappa]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"]}], "-", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
         "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
         RowBox[{
          SuperscriptBox["\[Beta]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", 
          SuperscriptBox["\[Phi]x", "2"]}], "-", 
         RowBox[{
         "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          "\[Phi]\[Pi]"}]}]]}]], ",", 
     RowBox[{"-", 
      FractionBox[
       RowBox[{
        RowBox[{"-", "1"}], "+", "\[Beta]", "+", 
        RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Beta]"}], "+", 
          SuperscriptBox["\[Beta]", "2"], "+", 
          RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], 
          "+", 
          RowBox[{
           SuperscriptBox["\[Kappa]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"]}], "-", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
          "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
          RowBox[{
           SuperscriptBox["\[Beta]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", 
           SuperscriptBox["\[Phi]x", "2"]}], "-", 
          RowBox[{
          "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           "\[Phi]\[Pi]"}]}]]}], 
       RowBox[{"2", " ", 
        SqrtBox[
         RowBox[{"1", "-", 
          RowBox[{"2", " ", "\[Beta]"}], "+", 
          SuperscriptBox["\[Beta]", "2"], "+", 
          RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], 
          "+", 
          RowBox[{
           SuperscriptBox["\[Kappa]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"]}], "-", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{"2", " ", 
           SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
          "+", 
          RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
          RowBox[{
           SuperscriptBox["\[Beta]", "2"], " ", 
           SuperscriptBox["\[Sigma]", "2"], " ", 
           SuperscriptBox["\[Phi]x", "2"]}], "-", 
          RowBox[{
          "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
           "\[Phi]\[Pi]"}]}]]}]]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", 
      FractionBox["\[Kappa]", 
       SqrtBox[
        RowBox[{"1", "-", 
         RowBox[{"2", " ", "\[Beta]"}], "+", 
         SuperscriptBox["\[Beta]", "2"], "+", 
         RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
         RowBox[{
          SuperscriptBox["\[Kappa]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"]}], "-", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
         RowBox[{"2", " ", 
          SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
         "+", 
         RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
         RowBox[{
          SuperscriptBox["\[Beta]", "2"], " ", 
          SuperscriptBox["\[Sigma]", "2"], " ", 
          SuperscriptBox["\[Phi]x", "2"]}], "-", 
         RowBox[{
         "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
          "\[Phi]\[Pi]"}]}]]]}], ",", 
     FractionBox["\[Kappa]", 
      SqrtBox[
       RowBox[{"1", "-", 
        RowBox[{"2", " ", "\[Beta]"}], "+", 
        SuperscriptBox["\[Beta]", "2"], "+", 
        RowBox[{"2", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]"}], "+", 
        RowBox[{
         SuperscriptBox["\[Kappa]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"]}], "-", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
        RowBox[{"2", " ", 
         SuperscriptBox["\[Beta]", "2"], " ", "\[Sigma]", " ", "\[Phi]x"}], 
        "+", 
        RowBox[{"2", " ", "\[Beta]", " ", "\[Kappa]", " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", "\[Phi]x"}], "+", 
        RowBox[{
         SuperscriptBox["\[Beta]", "2"], " ", 
         SuperscriptBox["\[Sigma]", "2"], " ", 
         SuperscriptBox["\[Phi]x", "2"]}], "-", 
        RowBox[{
        "4", " ", "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
         "\[Phi]\[Pi]"}]}]]]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{3.879230385412418*^9, 3.879232866931465*^9, 
  3.8792330164891367`*^9, 3.879233630546918*^9, 3.879233721901945*^9, 
  3.879233966065525*^9, 3.879237909707055*^9, 3.8799114049451537`*^9},
 CellLabel->
  "Out[1566]=",ExpressionUUID->"7542a6bc-59fc-48ab-8de8-ae8e831706bb"]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]1", "=", 
   FractionBox[
    RowBox[{"1", "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], "2"],
        "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{
          "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}],
          ")"}]}]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
      ")"}]}]]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Lambda]2", "=", 
   FractionBox[
    RowBox[{"1", "+", "\[Beta]", "+", 
     RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
     RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
     SqrtBox[
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "1"}], "-", "\[Beta]", "-", 
          RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], ")"}], "2"],
        "-", 
       RowBox[{"4", " ", 
        RowBox[{"(", 
         RowBox[{"\[Beta]", "+", 
          RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
          RowBox[{
          "\[Beta]", " ", "\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}],
          ")"}]}]}]]}], 
    RowBox[{"2", " ", 
     RowBox[{"(", 
      RowBox[{"1", "+", 
       RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
       RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
      ")"}]}]]}], ";"}]}], "Input",
 CellChangeTimes->{3.879233201245517*^9},
 CellLabel->
  "In[1567]:=",ExpressionUUID->"403297f0-5248-417a-ac71-3275a2005b57"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"a\[CapitalDelta]p1", "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"-", 
           FractionBox[
            RowBox[{"ii", " ", "\[Sigma]", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"-", "1"}], "+", "\[Beta]", "-", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
               SqrtBox[
                RowBox[{
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
                 SuperscriptBox[
                  RowBox[{"(", 
                   RowBox[{"\[Beta]", "+", 
                    RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                   ")"}], "2"], "+", 
                 RowBox[{"2", " ", "\[Beta]", " ", 
                  RowBox[{"(", 
                   RowBox[{
                    RowBox[{"-", "1"}], "-", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                    RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                   ")"}]}]}]], "+", 
               RowBox[{"\[Beta]", " ", "\[Sigma]", " ", 
                RowBox[{"(", 
                 RowBox[{"\[Phi]x", "+", 
                  RowBox[{"2", " ", "\[Kappa]", " ", "\[Phi]\[Pi]"}]}], 
                 ")"}]}]}], ")"}]}], 
            RowBox[{"2", " ", 
             SqrtBox[
              RowBox[{
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"1", "+", 
                  RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{"\[Beta]", "+", 
                  RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                 ")"}], "2"], "+", 
               RowBox[{"2", " ", "\[Beta]", " ", 
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{"-", "1"}], "-", 
                  RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                  RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                 ")"}]}]}]], " ", 
             RowBox[{"(", 
              RowBox[{"1", "+", 
               RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
               RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
              ")"}]}]]}], "*", 
          SuperscriptBox["\[Lambda]1", "\[CapitalDelta]p"]}], "+", 
         RowBox[{
          FractionBox[
           RowBox[{"ii", " ", "\[Sigma]", " ", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"-", "1"}], "+", "\[Beta]", "-", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "-", 
              SqrtBox[
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"\[Beta]", "+", 
                   RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                  ")"}], "2"], "+", 
                RowBox[{"2", " ", "\[Beta]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "-", 
                   RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                  ")"}]}]}]], "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", 
               RowBox[{"(", 
                RowBox[{"\[Phi]x", "+", 
                 RowBox[{"2", " ", "\[Kappa]", " ", "\[Phi]\[Pi]"}]}], 
                ")"}]}]}], ")"}]}], 
           RowBox[{"2", " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"\[Beta]", "+", 
                 RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                ")"}], "2"], "+", 
              RowBox[{"2", " ", "\[Beta]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "-", 
                 RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                 RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                ")"}]}]}]], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
             ")"}]}]], "*", 
          SuperscriptBox["\[Lambda]2", "\[CapitalDelta]p"]}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          FractionBox[
           RowBox[{"ii", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", "\[Beta]", "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
              RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "-", 
              SqrtBox[
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"\[Beta]", "+", 
                   RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                  ")"}], "2"], "+", 
                RowBox[{"2", " ", "\[Beta]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "-", 
                   RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                  ")"}]}]}]]}], ")"}]}], 
           RowBox[{"2", " ", 
            SqrtBox[
             RowBox[{
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"1", "+", 
                 RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
              SuperscriptBox[
               RowBox[{"(", 
                RowBox[{"\[Beta]", "+", 
                 RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                ")"}], "2"], "+", 
              RowBox[{"2", " ", "\[Beta]", " ", 
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"-", "1"}], "-", 
                 RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                 RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                  RowBox[{"(", 
                   RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                ")"}]}]}]], " ", 
            RowBox[{"(", 
             RowBox[{"1", "+", 
              RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
              RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
             ")"}]}]], "*", 
          SuperscriptBox["\[Lambda]1", "\[CapitalDelta]p"]}], "+", 
         RowBox[{
          RowBox[{"(", 
           RowBox[{"-", 
            FractionBox[
             RowBox[{"ii", " ", "\[Kappa]", " ", "\[Sigma]", " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", "\[Beta]", "+", 
                RowBox[{"\[Kappa]", " ", "\[Sigma]"}], "+", 
                RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}], "+", 
                SqrtBox[
                 RowBox[{
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
                  SuperscriptBox[
                   RowBox[{"(", 
                    RowBox[{"\[Beta]", "+", 
                    RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                    ")"}], "2"], "+", 
                  RowBox[{"2", " ", "\[Beta]", " ", 
                   RowBox[{"(", 
                    RowBox[{
                    RowBox[{"-", "1"}], "-", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                    RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                    ")"}]}]}]]}], ")"}]}], 
             RowBox[{"2", " ", 
              SqrtBox[
               RowBox[{
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"1", "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]"}]}], ")"}], "2"], "+", 
                SuperscriptBox[
                 RowBox[{"(", 
                  RowBox[{"\[Beta]", "+", 
                   RowBox[{"\[Beta]", " ", "\[Sigma]", " ", "\[Phi]x"}]}], 
                  ")"}], "2"], "+", 
                RowBox[{"2", " ", "\[Beta]", " ", 
                 RowBox[{"(", 
                  RowBox[{
                   RowBox[{"-", "1"}], "-", 
                   RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                   RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", 
                    RowBox[{"(", 
                    RowBox[{"1", "+", 
                    RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "-", 
                    RowBox[{"2", " ", "\[Phi]\[Pi]"}]}], ")"}]}]}], 
                  ")"}]}]}]], " ", 
              RowBox[{"(", 
               RowBox[{"1", "+", 
                RowBox[{"\[Sigma]", " ", "\[Phi]x"}], "+", 
                RowBox[{"\[Kappa]", " ", "\[Sigma]", " ", "\[Phi]\[Pi]"}]}], 
               ")"}]}]]}], ")"}], "*", 
          SuperscriptBox["\[Lambda]2", "\[CapitalDelta]p"]}]}], "}"}]}], 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.879230551938616*^9, 3.8792307817359934`*^9}, {
   3.879232893245246*^9, 3.8792329872169952`*^9}, {3.8792330696399317`*^9, 
   3.879233195979097*^9}, 3.879233389599078*^9, 3.879233459980602*^9, 
   3.8792335455523787`*^9, {3.879233576861577*^9, 3.8792336082052755`*^9}, 
   3.8792336675368195`*^9, {3.879233702601782*^9, 3.879233706742393*^9}},
 CellLabel->
  "In[1569]:=",ExpressionUUID->"28e7d8c6-57ab-4531-830e-bfc086d0a3e6"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Simplify", "[", 
  RowBox[{"a\[CapitalDelta]p1", "-", "a\[CapitalDelta]p"}], "]"}]], "Input",
 CellLabel->
  "In[1570]:=",ExpressionUUID->"9f3ee102-8cfa-4417-9069-e293ef9dbb9d"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", "0", "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.879233434684496*^9, {3.879233623582328*^9, 3.879233631001234*^9}, {
   3.8792337104360895`*^9, 3.8792337226972356`*^9}, 3.879233966829734*^9, 
   3.8792379104090405`*^9, 3.879911423013069*^9},
 CellLabel->
  "Out[1570]=",ExpressionUUID->"bd721438-30c5-4c24-8da1-087db9259492"]
}, Open  ]]
},
WindowSize->{1200., 837.75},
WindowMargins->{{Automatic, -1206}, {Automatic, -6}},
Magnification:>0.95 Inherited,
FrontEndVersion->"12.1 for Microsoft Windows (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"b049fbd0-aacc-43b2-89d4-e6ca8ecc410d"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 1912, 53, 81, "Input",ExpressionUUID->"24c3a3e1-790b-4248-b93f-96a2a2cac2de"],
Cell[2495, 77, 1526, 37, 47, "Output",ExpressionUUID->"c631140b-4a00-40bb-bb75-f1b4ae202de7"],
Cell[4024, 116, 1031, 26, 48, "Output",ExpressionUUID->"b2db6656-3406-4653-b9ad-f779f5efff70"]
}, Open  ]],
Cell[5070, 145, 1323, 35, 134, "Input",ExpressionUUID->"5ba275c1-40a4-46ba-96ce-ddcf6baaf72d"],
Cell[CellGroupData[{
Cell[6418, 184, 218, 4, 26, "Input",ExpressionUUID->"8e2bd97d-1b4f-4aed-9331-de7b82e72946"],
Cell[6639, 190, 2269, 60, 52, "Output",ExpressionUUID->"83eb70d2-d5c7-4242-b14f-b4672f718ee0"]
}, Open  ]],
Cell[8923, 253, 208, 4, 26, "Input",ExpressionUUID->"4f1341fd-eca3-4ec0-9492-f0db80db4a41"],
Cell[CellGroupData[{
Cell[9156, 261, 3312, 84, 89, "Input",ExpressionUUID->"a352551d-c284-4af4-b969-dfa2a8776a89"],
Cell[12471, 347, 3470, 76, 91, "Output",ExpressionUUID->"1ed4a0ac-4269-4ff2-967c-0670ed030543"]
}, Open  ]],
Cell[CellGroupData[{
Cell[15978, 428, 3372, 79, 169, "Input",ExpressionUUID->"c73f3da0-b326-4243-833c-98e9f61c803a"],
Cell[19353, 509, 641, 14, 30, "Output",ExpressionUUID->"d2bb2af1-9598-4361-9646-fc0e5a55afd7"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20031, 528, 591, 14, 26, "Input",ExpressionUUID->"678e1f9f-7ff2-42d9-a15c-daba558191b4"],
Cell[20625, 544, 591, 13, 30, "Output",ExpressionUUID->"214cc606-efd3-440c-bea8-bb2ebac2f437"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21253, 562, 274, 6, 26, "Input",ExpressionUUID->"d3130947-4d6e-4d12-a722-3f0a418eebbd"],
Cell[21530, 570, 3109, 81, 99, "Output",ExpressionUUID->"553da05f-6bd3-47d2-91cc-690312f32469"]
}, Open  ]],
Cell[CellGroupData[{
Cell[24676, 656, 260, 5, 26, "Input",ExpressionUUID->"522eea25-7832-4eb0-aa1c-a4de77f9d818"],
Cell[24939, 663, 7118, 161, 178, "Output",ExpressionUUID->"7542a6bc-59fc-48ab-8de8-ae8e831706bb"]
}, Open  ]],
Cell[32072, 827, 2153, 59, 97, "Input",ExpressionUUID->"403297f0-5248-417a-ac71-3275a2005b57"],
Cell[34228, 888, 11486, 264, 333, "Input",ExpressionUUID->"28e7d8c6-57ab-4531-830e-bfc086d0a3e6"],
Cell[CellGroupData[{
Cell[45739, 1156, 201, 4, 26, "Input",ExpressionUUID->"9f3ee102-8cfa-4417-9069-e293ef9dbb9d"],
Cell[45943, 1162, 422, 10, 30, "Output",ExpressionUUID->"bd721438-30c5-4c24-8da1-087db9259492"]
}, Open  ]]
}
]
*)

